;
(function () {
    var common = {
        tab: {
            initTab: function (callback) {
                $(".normal-tab-title-item").click(function () {
                    var index = $(this).index(".normal-tab-title-item");
                    $(".normal-tab-title-item .active").removeClass("active");
                    $(this).find(".border").addClass("active");
                    $(".normal-tab-content-item").removeClass("active").eq(index).addClass("active");

                    callback && callback(index);
                })
            },
        },
        coverLayer: {
            close: function (callback) {
                $(".cover-layer,.cover-layer .cancle-btn").click(function (e) {
                    if (e.target == this) {
                        $(".cover-layer").css({
                            "display": "none"
                        });
                        callback && callback(e);
                    }
                })
            },
            show: function () {
                $(".cover-layer").css({
                    "display": "flex"
                });
            }
        },
        leftMenu:{
            initLeftMenu:function(callback){
                $(".category-left-item").click(function () {
                    var index = $(this).index(".category-left-item");
                    $(".category-left-item").removeClass("active");
                    $(this).addClass("active");
                    // $(".normal-tab-content-item").removeClass("active").eq(index).addClass("active");
    
                    callback && callback(index);
                })
            }
          
        },
        headerList:{
            openHeaderList:function(callback){
                callback && callback();
                $(".title-down-arr,.header-cover-layer").click(function(e){
                    if(e.target == this){
                        
                        $(".header-cover-layer").toggle("fast");
                    }
                    
                });
            }
        },
        picker:{
            initPicker: function (ts,key,data) {
                ts[key].picker = new mui.PopPicker();
                ts[key].picker.setData(data)
            },
            changePicker: function (ts,key,callback) {
                ts[key].picker.show(SelectedItem => {
                    ts[key].text = SelectedItem[0].text
                    callback && callback(SelectedItem)
                })
            }
        }
      



    }
    window.common = common;


})();