(function(mui, w, document, $) {
	mui.ready(function() {
		mui.init({});

		var vm = new Vue({
			el: '#content',
			data: function() {
				return {
					searchValue: '',
					//checkedList:[],
					pathFrom: '',
					checkStatus: [],
					userModule: [],
				}
			},
			methods: {
				// 搜素
				search() {
					let checkData = [];
					vm.checkStatus.map((item) => {
						if (item.ischecked) {
							checkData.push(item.dataType)
						}
					})
					if (checkData.length < 1) {
						mui.toast("请选择搜索范围", {
							type: 'div',
							duration: 'long'
						});
						return false;
					}
					if (!vm.searchValue) {
						mui.toast("请输入搜索内容", {
							type: 'div',
							duration: 'long'
						});
						return false;
					}
					mui.openWindow({
						url: '/html/data/search-list.html',
						id: '/html/data/search-list.html',
						extras: {
							keyword: vm.searchValue,
							sys_id: checkData.join(",")
						}
					});
				},
// 初始显示状态
				initData() {
					vm.userModule.forEach(item => {
						if (item != '数据中心') {

							let obj = {};
							if (item == vm.pathFrom) {
								obj = {
									name: item,
									ischecked: true,
									dataType: vm.pathFrom
								};
							} else {
								if (vm.pathFrom != "数据中心") {
									obj = {
										name: item,
										ischecked: false,
									};
								} else {
									obj = {
										name: item,
										ischecked: true,
									};
								}

							}
							/**
							 * @param datatype:
							 * germplasm代表种质数据，test代表品种测试，breed代表繁育管理  
							 * 
							 * */
							switch (obj.name) {
								case "种质库存":
									obj.dataType = "germplasm"
									break;
								case "品种测试":
									obj.dataType = "test"
									break;
								case "材料繁育":
									obj.dataType = "breed"
									break;
								default:
									break;
							}
							vm.checkStatus.push(obj);
						}
					});
				},
			},
		})

		mui.plusReady(function() {
			vm.userModule = JSON.parse(localStorage.getItem('userModule'));
			var self = plus.webview.currentWebview();
			vm.pathFrom = self.pathFrom;
			vm.initData();
		});
	})
})(mui, window, document, $)
