mui.init({});

var vm = new Vue({
	el: '#content',
	data: function() {
		return {
			loaded: false,
			searchList: [],
			keyword: '',
			sys_id: '',
			pageNum: '0', //暂时
			pageSize: '1', //暂时
		}
	},
	methods: {
		//搜索记录
		getSearchList() {
			plus.nativeUI.showWaiting();
			console.log(JSON.stringify({
				keyword: vm.keyword,
				pageNum: vm.pageNum,
				pageSize: vm.pageSize,
				//sys_id:vm.sys_id,//暂不传
			}))
			window.model.post('hzapp/searchCenter/searchData.do', {
				keyword: vm.keyword,
				pageNum: vm.pageNum,
				pageSize: vm.pageSize,
				dataType: vm.sys_id,
				//sys_id:vm.sys_id,//暂不传
			}, function(res) {
				// vm.keyword = '';
				vm.loaded = true
				vm.searchList = res.data;
				plus.nativeUI.closeWaiting();
			}, function(error) {
				mui.toast(error.message, {
					type: 'div',
					duration: 'long'
				});
				plus.nativeUI.closeWaiting();
			})
		},
		//跳转详情
		onJumpDetail(germplasmId) {
			mui.openWindow({
				url: '/html/data/search-detail.html',
				id: '/html/data/search-detail.html',
				extras: {
					germplasmId: germplasmId,
				}
			});
		},
	},

});



mui.plusReady(function() {
	const self = plus.webview.currentWebview();
	console.log(JSON.stringify(self));
	vm.keyword = self.keyword
	vm.sys_id = self.sys_id
	vm.getSearchList(); //搜索记录

	mui.back = function() {
		plus.webview.currentWebview().close();
	}

});
