var vm = new Vue({
	el: "#content",
	data: function() {
		return {
			active: 0,
			selectList: [{
				name: "我的申请单",

			}, {
				name: "新增申请单"
			}],
			isShowAddForm: false,
			quality: {
				text: "",
				picker: {},
			},
			fertility: {
				text: "",
				picker: {},
			},
			seedHandle: {
				text: "",
				picker: {},
			},
			seedTime: {
				text: "",
				picker: {},
			},
			unit: {
				text: "",
				picker: {},
			},
			applyNum: '',
			unit: '',
			confidentialContract: '',
			waterContent: '',
			vitalityLevel: '',
			germplasmList: []
		}
	},
	methods: {
		// 显示新增弹窗
		addGermplasm() {
			vm.germplasmList.push({
				germplasmCode: vm.germplasm.germplasmCode,
				germplasmName: vm.germplasm.germplasmName,
				germplasmName: vm.germplasm.germplasmName,
				applyNum: vm.applyNum,
				unit: vm.unit,
				confidentialContract: vm.confidentialContract,
				waterContent: vm.waterContent,
				vitalityLevel: vm.vitalityLevel,
			})
		},
		// 切换sheet1弹窗显示状态
		openPopover: function() {
			mui('#sheet1').popover('toggle');
		},
		// 切换sheet2弹窗显示状态
		openPopover2: function() {
			mui('#sheet2').popover('toggle');
		},
		// 切换激活元素
		changeActive: function(index) {
			this.active = index
		},
		// 显示新增弹窗
		showAddForm: function() {
			this.isShowAddForm = true
		},
		// 关闭新增弹窗
		closeAddForm: function() {
			this.isShowAddForm = false
		},
		initPicker1: function() {
			common.picker.initPicker(this, "quality", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 弹窗元素选中
		changePicker1: function() {
			common.picker.changePicker(this, "quality")

		},
		initPicker2: function() {
			common.picker.initPicker(this, "fertility", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 弹窗元素选中
		changePicker2: function() {
			common.picker.changePicker(this, "fertility")

		},
		initPicker3: function() {
			common.picker.initPicker(this, "seedHandle", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 弹窗元素选中
		changePicker3: function() {
			common.picker.changePicker(this, "seedHandle")

		},
		initPicker4: function() {
			common.picker.initPicker(this, "seedTime", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 弹窗元素选中
		changePicker5: function() {
			common.picker.changePicker(this, "unit")

		},
		initPicker5: function() {
			common.picker.initPicker(this, "unit", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 弹窗元素选中
		changePicker4: function() {
			common.picker.changePicker(this, "seedTime")

		}
	},
	mounted() {
		// 加载选择框
		this.initPicker1()
		this.initPicker2()
		this.initPicker3()
		this.initPicker4()
		this.initPicker5();
	}
})
