mui.init({
	pullRefresh: {
		swipeBack: false,
		container: "#refreshContainer",
		// down : {
		// 	style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
		// 	color:'#2BD009', //可选，默认“#2BD009” 下拉刷新控件颜色
		// 	height:'50px',//可选,默认50px.下拉刷新控件的高度,
		// 	range:'100px', //可选 默认100px,控件可下拉拖拽的范围
		// 	offset:'0px', //可选 默认0px,下拉刷新控件的起始位置
		// 	auto: false,//可选,默认false.首次加载自动上拉刷新一次
		// 	callback :pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		//  },
		up: {
			height: 50, //可选.默认50.触发上拉加载拖动距离
			auto: true, //可选,默认false.自动上拉加载一次
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: pulluploading
		}
	}
});
var vm = new Vue({
	el: "#content",
	data: function() {
		return {
			themeList: [],
			search_value: '',
			fieldsList: [],
			paraId: '', //传参
			showLoading: null,
			closeLoading: null,
			id: '',
			pageNum: 1,
			pageSize: 10
		}
	},
	methods: {
		// 跳转详情
		onJumpDetail: function(pageId) {
			if (parseInt(vm.parentId) != 1000) {
				mui.openWindow({
					url: 'theme-detail.html',
					id: 'theme-detail.html',
					extras: {
						catalogId: vm.paraId,
						viewId: pageId,
					}
				})
			}
		},
		// 获取专题列表
		getThemeList: function(init) {
			plus.nativeUI.showWaiting();
			const self = plus.webview.currentWebview();
			//vm.pathFrom=self.pathFrom;
			vm.id = self.pathFrom ? '1030' : self.para; //indexWuLian
			parentId = self.parentId;
			vm.paraId = self.pathFrom ? '1030' : self.para;
			vm.parentId = parentId; //暂时用于气象与地区不可点击到数据详情页
			window.model.post('hzapp/datacenter/getCatelogData.do', {
				id: vm.id,
				search_value: vm.search_value,
				pageNum: vm.pageNum,
				pageSize: vm.pageSize
			}, function(data) {
				switch (data.code) {
					case 1:
						vm.fieldsList = data.fields;
						vm.themeList = vm.themeList.concat(data.data.mapList);
						plus.nativeUI.closeWaiting();
						vm.pageNum++
						mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
						mui('#refreshContainer').pullRefresh().refresh(true);
						break;
					default:
						if (data.message) {
							mui.toast(data.message, {
								type: 'div',
								duration: 'long'
							});
						}
						mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
						plus.nativeUI.closeWaiting();
						break;
				}
			}, function(error) {
				mui.toast(error.message, {
					type: 'div',
					duration: 'long'
				});
				plus.nativeUI.closeWaiting();
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
				mui('#refreshContainer').pullRefresh().refresh(true);
			})
		},
		//点击搜索
		onSearch: function() {
			mui('#searchBtn')[0].addEventListener('tap', function() {
				vm.getThemeList();
			});
		},
	},

});

function pulldownRefresh() {
}

function pulluploading() {
	// 下拉刷新
	vm.getThemeList()
}
mui.plusReady(function() {

	const self = plus.webview.currentWebview();
	//vm.pathFrom=self.pathFrom;
	vm.id = self.pathFrom ? '1030' : self.para; //indexWuLian
	parentId = self.parentId;
	vm.paraId = self.pathFrom ? '1030' : self.para;
	vm.parentId = parentId; //暂时用于气象与地区不可点击到数据详情页
	// vm.getThemeList();	// 获取专题列表
});
