mui.init();
var subpage_style = {
		top: '0px',
		bottom: '58px',
	};
var subpages = ['html/main/home.html', 'html/main/voice2.html', 'html/main/my.html'];
var activeTab = subpages[0]
var aniShow = {};

//创建子页面，首个选项卡页面显示，其它均隐藏；
mui.plusReady(function() {
	if(plus.device.model == "iPHoneXR" || plus.device.model == "iPhoneX" || plus.device.model == "iPhoneXSMax" || plus.device.model == "iPhoneXS"){
		subpage_style.bottom = '91px'
	}
	var self = plus.webview.currentWebview();
	for (var i = 0; i < 3; i++) {
		var temp = {};
		var sub 
		if (!plus.webview.getWebviewById(subpages[i])) {
			sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
			if (i > 0) {
				sub.hide();
			}else{
				temp[subpages[i]] = "true";
				mui.extend(aniShow,temp);
			}
			self.append(sub);
		}
	}
});

document.addEventListener("plusready", function() {
    // 监听点击消息事件
    plus.push.addEventListener("click", function(msg) {
        //根据需要填写
localStorage.setItem("msg1",JSON.stringify(msg))
        plus.webview.open('message.html');
    }, false);
	plus.push.addEventListener("receive", function (msg) {
			localStorage.setItem("msg2",JSON.stringify(msg))
	})
}, false);

// 选项卡点击事件
mui('.mui-bar-tab').on('tap', 'a', function(e) {
	var targetTab = this.getAttribute('href');
	if (targetTab == activeTab) {
		return;
	}
	// 如果是语音页面，则触发tap事件
	if (targetTab == 'html/main/voice2.html') {
		var voicePage = null
		//获得详情页面
		if(!voicePage){
		    voicePage = plus.webview.getWebviewById('html/main/voice2.html');
		}
		//触发详情页面的tap事件
		mui.fire(voicePage,'voicePageBarTabTapped',{
		    message: 'hi'
		});
	}
	//显示目标选项卡
	//若为iOS平台或非首次显示，则直接显示
	if(mui.os.ios||aniShow[targetTab]){
		plus.webview.show(targetTab);
	}else{
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow,temp);
		plus.webview.show(targetTab,"fade-in",300);
	}
	//隐藏当前;
	plus.webview.hide(activeTab);
	//更改当前活跃的选项卡
	activeTab = targetTab;
});

//自定义事件，模拟点击“首页选项卡”
document.addEventListener('gohome', function() {
	var defaultTab = document.getElementById("defaultTab");
	//模拟首页点击
	mui.trigger(defaultTab, 'tap');
	//切换选项卡高亮
	var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
	if (defaultTab !== current) {
		current.classList.remove('mui-active');
		defaultTab.classList.add('mui-active');
	}
});