//语音识别
var app_id = "16134310";
var api_key = "NUD2OmoUUGog1UdrABd04BUb"; //此处为申请的client_id;
var secret_key = "etdlGUH96KAByXPodvq2q7wgGrGgLali"; //此处为申请的client_secret ;
var listener;
var asr;
var final_result = "";
var record_path = "";
var current_user = "";
// 语音录音
var speechRecord = null;
// IOS语音
var asrIOS;
var listenerIOS;

//初始化语音
function Recong_init() {
	//初始化
	if (mui.os.ios) {
		// 实现协议“NjsHelloEvent”的代理  
		var listenerIOS = plus.ios.implements("BDSClientASRDelegate", {
			"VoiceRecognitionClientWorkStatus:": function(workStatus, aObj) {
				console.log("Invoked Object’s workStatus: " + workStatus); // 输出“Invoked Object’s name: Tester”  
			}
		});

		//设置语音参数
		var BDSEventManager = plus.ios.importClass("BDSEventManager");
		var BDSClientASRDelegate = plus.ios.importClass("BDSEventManager");
		asrIOS = new BDSEventManager();
		//var asrEventManager  = new BDSEventManager.createEventManagerWithName("com.wiserice.app");
		asrIOS.setParameterforKey("BDS_ASR_OFFLINE_APP_CODE", "16134310");
		asrIOS.setParameterforKey("BDS_ASR_API_SECRET_KEYS", ["NUD2OmoUUGog1UdrABd04BUb","etdlGUH96KAByXPodvq2q7wgGrGgLali"]);
		asrIOS.setParameterforKey("BDS_ASR_LM_ID", "1795");
		asrIOS.setDelegate(listenerIOS);

	} else {
		listener = plus.android.implements('com.baidu.speech.EventListener', {
			onEvent: function(name, params, data, offset, length) {
				var result = "";
				if (length > 0 && data.length > 0) {
					result = ", 语义解析结果：";
					//console.log(result);
				}
				if (name == "asr.ready") {
					result = "引擎准备就绪，可以开始说话";
					final_result = "";
					console.log(result);
					plus.nativeUI.toast("请开始说话: ", {
						verticalAlign: 'bottom',
						duration: 8000
					});
					if (speechRecord != null) {
						speechRecord.record({
							filename: record_path
						}, function() {
							console.log("Audio record success!");
						}, function(e) {
							console.log("Audio record failed: " + e.message);
						});
					}
				} else if (name == "asr.begin") {
					result = "检测到用户的已经开始说话";
					console.log(result);
				} else if (name == "asr.end") {
					result = "检测到用户的已经停止说话";
					console.log(result);
				} else if (name == "asr.partial") {
					// 临时识别结果, 长语音模式需要从此消息中取出结果
					result = "识别临时识别结果";
					console.log(result);
					// 获取识别结果
					var jsonParam = JSON.parse(params);
					var resultType = jsonParam["result_type"];
					if (resultType != null && resultType == "final_result") {
						final_result = jsonParam["best_result"];
					}
				} else if (name == "asr.finish") {
					// 识别结束， 最终识别结果或可能的错误
					result = "识别结束";
					console.log(result);
					Recong_stop();
					//录音结束
					if (speechRecord != null) {
						speechRecord.stop();
					}
					// 验证结果有没有错误，有错误打印出来
					var jsonParam = JSON.parse(params);
					console.log(params);
					var desc = jsonParam["desc"];
					if (desc != null && desc == "Speech Recognize success.") {
						console.log(final_result);
						// 调用外部函数
						if (typeof handleSpeech === "function") { //是函数    其中 FunName 为函数名称
							handleSpeech(final_result, record_path);
						} else {
							plus.nativeUI.toast("没有外部函数执行！", {
								verticalAlign: 'bottom',
								duration: 'long'
							});
						}
					} else {
						var errorCode = "错误码:" + jsonParam["error"];
						var errorSubCode = "\n错误子码:" + jsonParam["sub_error"];
						var errorResult = errorCode + errorSubCode;
						console.log("解析错误,原因是:" + desc + "\n" + errorResult);
						speech_play(errorCode);
						plus.nativeUI.toast(errorCode, {
							verticalAlign: 'bottom',
							duration: 'long'
						});
					}
					//speech_pause();
				}
			}
		});
		var EventManagerFactory = plus.android.importClass('com.baidu.speech.EventManagerFactory');
		var main = plus.android.runtimeMainActivity();
		asr = EventManagerFactory.create(main, "asr");
		plus.android.importClass(asr);
		asr.registerListener(listener);
	}
	
	current_user = JSON.parse(plus.storage.getItem("login")).username;

}

//开始语音
function Recong_start() {
	//开始
	//console.log(mui.os.ios);
	if (mui.os.ios) {
		//asrIOS.sendCommand("BDS_ASR_CMD_START");
		asrIOS.sendCommand("asr.start");
		console.log(asrIOS)
		/* plus.ios.invoke(asrEventManager, "setParameterforKey", "16134310", "BDS_ASR_OFFLINE_APP_CODE");  
		plus.ios.invoke(asrEventManager, "setParameterforKey", ["NUD2OmoUUGog1UdrABd04BUb","etdlGUH96KAByXPodvq2q7wgGrGgLali"], "BDS_ASR_API_SECRET_KEYS");  
		plus.ios.invoke(asrEventManager, "setParameterforKey", 1795, "BDS_ASR_LM_ID");  
		*/
	} else {
		//var params ="{\"appid\":\"16134310\",\"key\":\"NUD2OmoUUGog1UdrABd04BUb\",\"secret\":\"etdlGUH96KAByXPodvq2q7wgGrGgLali\",\"pid\":8002,\"lm_id\":1699,\"accept-audio-volume\":false,\"accept-audio-data\":true,\"outfile\":\""+ record_path +"\"}"
		//var params = "{\"appid\":\"16134310\",\"key\":\"NUD2OmoUUGog1UdrABd04BUb\",\"secret\":\"etdlGUH96KAByXPodvq2q7wgGrGgLali\",\"pid\":8002,\"lm_id\":1795,\"accept-audio-volume\":false}";
		var params = "{\"appid\":\"16134310\",\"key\":\"NUD2OmoUUGog1UdrABd04BUb\",\"secret\":\"etdlGUH96KAByXPodvq2q7wgGrGgLali\",\"pid\":1537,\"lm_id\":10544,\"accept-audio-volume\":false,\"disable-punctuation\":true}";
		asr.send("asr.start", params, null, 0, 0);
	}
	record_path = "\/storage\/emulated\/0\/baiduASR\/" + (new Date()).valueOf();
}



//停止语音
function Recong_stop() {
	//停止  
	if (mui.os.ios) {} else {
		asr.send("asr.stop", null, null, 0, 0);
	}
}


//取消语音
function Recong_cancel() {
	//取消  
	if (mui.os.ios) {} else {
		asr.send("asr.cancel", "{}", null, 0, 0);
	}
}


//消除语音
function Recong_destroy() {
	//消除  
	if (mui.os.ios) {} else {
		asr.send("asr.cancel", "{}", null, 0, 0);
		asr.unregisterListener(listener);
	}
}


//语音合成
var tokenUrl = "https://openapi.baidu.com/oauth/2.0/token";
var access_token;
var data = "grant_type=client_credentials&client_id=" + api_key + "&client_secret=" + secret_key;
var paudio = document.createElement("audio"); //创建一个潜在的audio播放器

function speech_play(content) {
	var tex = content.replace(/[\r\n]/g, "").replace(/\ +/g, "").replace(/-/g, '').trim(); //对文本进行去空格和换行；
	var a = 0,
		b = 0,
		c = 0;
	var contentArray = new Array();
	if (tex.length / 500 >= 0) { //接口上传限制字数，避免出现接口腻出，限制上传字数
		for (var i = 0; i < tex.length / 500; i++) {
			a = a + 500;
			splitTex = tex.slice(b, a);
			b = a;
			contentArray.push(splitTex);
		}
	}
	mui.ajax({
		type: "get",
		url: tokenUrl,
		data: data,
		async: true,
		success: function(resp) {
			if (resp.access_token) {
				access_token = resp.access_token;
				var shibieUrl = "http://tsn.baidu.com/text2audio";
				tex = encodeURI(encodeURI(contentArray[0]));
				var data = "tex=" + tex + "&tok=" + access_token +
					"&cuid=00:00:00:00:00:00&ctp=1&lan=zh&spd=5&pit=5&vol=5&per=0&aue=3";
				paudio.controls = "controls";
				paudio.src = shibieUrl + "?" + data;
				paudio.play();
				c++;
			} else {}
		},
		error: function(error) {}
	});
	/* setTimeout(function() {
		paudio.addEventListener('ended', function() {
			if (contentArray.length > 0 && c <= contentArray.length - 1) {
				var shibieUrl = "http://tsn.baidu.com/text2audio";
				tex = encodeURI(encodeURI(contentArray[c]));
				var data = "tex=" + tex + "&tok=" + access_token +
					"&cuid=00:00:00:00:00:00&ctp=1&lan=zh&spd=5&pit=5&vol=5&per=0&aue=3";
				paudio.src = shibieUrl + "?" + data;
				paudio.play();
				c++;
			} else {
				c = 0;
			}
		});
	}, 500); */
}

function speech_pause() {
	if (paudio.paused) {
		paudio.play();
	} else {
		paudio.pause();
	}
}


//获取当前日期
function GetCurrentDate() {
	return new Date().Format("yyyy-MM-dd HH:mm:ss");
}

Date.prototype.Format = function(fmt) {
	var o = {
		"M+": this.getMonth() + 1, //月份 
		"d+": this.getDate(), //日 
		"H+": this.getHours(), //小时 
		"m+": this.getMinutes(), //分 
		"s+": this.getSeconds(), //秒 
		"q+": Math.floor((this.getMonth() + 3) / 3), //季度 
		"S": this.getMilliseconds() //毫秒 
	};
	if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for (var k in o)
		if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[
			k]).substr(("" + o[k]).length)));
	return fmt;
}
