//Ios语音参数
var AVSpeechSynthesizer;
var AVSpeechUtterance;
var AVSpeechSynthesisVoice;
var sppech;
var voice;

//Android语音参数
var receiver;
var main;
var SpeechUtility;
var SynthesizerPlayer;
var play;

//初始化语音
function ifly_init() {
	//初始化
	if (mui.os.ios) {
		AVSpeechSynthesizer = plus.ios.importClass("AVSpeechSynthesizer");
		AVSpeechUtterance = plus.ios.importClass("AVSpeechUtterance");
		AVSpeechSynthesisVoice = plus.ios.import("AVSpeechSynthesisVoice");
		sppech = new AVSpeechSynthesizer();
		voice = AVSpeechSynthesisVoice.voiceWithLanguage("zh-CN");
	} else {
		/* var receiver = plus.android.implements('com.iflytek.cloud.SynthesizerListener', {
			onEvent: function(int eventType, int arg1, int arg2, Bundle obj) {
				console.log("onEvent");
			},
			onSpeakBegin: function() {
				console.log("开始阅读");
			},
			onSpeakPaused: function() {
				console.log(" 暂停播放 ");
			},
			onSpeakResumed: function() {
				console.log("继续播放");
			},
			onBufferProgress: function(percent, beginPos, endPos, info) {
				console.log("合成进度" + percent);
			},
			onSpeakProgress: function(percent, beginPos, endPos) {
				console.log("播放进度" + percent);
			},
			onCompleted: function(error) {
				console.log("播放完毕");
			}
		}); */
		main = plus.android.runtimeMainActivity();
		SpeechUtility = plus.android.importClass('com.iflytek.cloud.SpeechUtility');
		SpeechUtility.createUtility(main, "appid=53feacdd");
		SynthesizerPlayer = plus.android.importClass('com.iflytek.cloud.SpeechSynthesizer');
		play = SynthesizerPlayer.createSynthesizer(main, null);
	}
}


//播放语音
function ifly_play(speak) {
	if (mui.os.ios) {
		//播放
		var utterance = AVSpeechUtterance.speechUtteranceWithString(speak);
		// utterance.plusSetAttribute("rate",30.1);  
		utterance.setVoice(voice);
		sppech.speakUtterance(utterance);
	} else {
		play.startSpeaking(speak, receiver);
	}
}


//停止语音
function ifly_stop() {
	//停止  
	if (mui.os.ios) {
		sppech.stopSpeakingAtBoundary(0)
	} else {
		play.stopSpeaking();
	}
}


//暂停语音
function ifly_pause() {
	//暂停  
	if (mui.os.ios) {
		sppech.pauseSpeakingAtBoundary(0);
	} else {
		play.pauseSpeaking();
	}
}

//继续语音
function ifly_continue() {
	//继续  
	if (mui.os.ios) {
		sppech.continueSpeaking(0);
	} else {
		play.resumeSpeaking();
	}
}


//消除语音
function ifly_clear() {
	//消除  
	if (mui.os.ios) {
		plus.ios.deleteObject(voice);
		plus.ios.deleteObject(utterance);
		plus.ios.deleteObject(sppech);
	} else {

	}
}
