mui.init();

var vm = new Vue({
	el: "#content",
	data: function() {
		return {
			user: {
				login_name: '',
				mobile: '',
				valide_code: '',
			},
		}
	},
	methods: {
		// 验证码
		getUserValidate: function() {
			// if (!vm.user.mobile) {
			// 	//mui.toast('请先输入手机号')
			// 	vm.alertPop('请先输入手机号')
			// }else{
			if (!vm.user.login_name) {
				//mui.toast('请输入登录账号')
				vm.alertPop('请输入登录账号')
				return
			}
			var reg = /^[1][3456789][0-9]{9}$/;
			if (!(vm.user.mobile.length == 11 && reg.test(vm.user.mobile))) {
				//mui.toast('请正确输入手机号')
				vm.alertPop('请输入正确手机号')
				return false;
			}
			// }

			// window.model.post('hzappunlimit/getIdentifycode.do', {
			window.model.post('hzappunlimit/valid_account_phone.do ', {
				login_name: vm.user.login_name,
				mobile: vm.user.mobile
			}, function(data) {
				if (data.code == 0) {
					mui.toast(data.message, {
						type: 'div',
						duration: 'long'
					})
					return false;
				}
				if (data.code == 1) {
					mui.toast("验证码已发送至手机", {
						type: 'div',
						duration: 'long'
					})
					return false;
				}
				// mui.toast(data.message, {type: 'div', duration:'long'})
			}, function() {})
		},

		//未输入的提示
		alertPop(message) {
			mui.alert(message, '提示框', function() {});
		},

		//保存
		saveData() {
			if (!vm.user.login_name) {
				//mui.toast('请输入登录账号')
				vm.alertPop('请输入登录账号')
				return
			}
			if (!vm.user.mobile) {
				//mui.toast('请输入手机号')
				vm.alertPop('请输入手机号')
				return
			}
			if (!vm.user.valide_code) {
				//mui.toast('请输入验证码')
				vm.alertPop('请输入验证码')
				return
			}
			var params = new FormData()
			params.set('login_name', vm.user.login_name)
			params.set('mobile', vm.user.mobile)
			params.set('valide_code', vm.user.valide_code)
			plus.nativeUI.showWaiting();
			window.model.form('hzappunlimit/forgetpassword.do', params, function(data) {
				mui.toast(data.message, {
					type: 'div',
					duration: 'long'
				})
				plus.nativeUI.closeWaiting();
				if (data.code === 1) {
					setTimeout(() => {
						mui.back()
					}, 2000);
				}
			}, function(error) {
				mui.toast(error.message, {
					type: 'div',
					duration: 'long'
				})
				plus.nativeUI.closeWaiting();
			})
		},
	},
});

mui.plusReady(function() {})
