//mui初始化
(function(mui, w, document) {
	mui.init();
	mui.plusReady(function() {
		var self = plus.webview.currentWebview()
		var testPointList = self.testPointList
		var currentTestPoint = self.currentTestPoint
		var testPointStr = ''
		testPointStr += '<li class="collapse-li">'
		testPointStr += '<ul class="collapse-content" style="display: flex;">'
		for (var i = 0; i < testPointList.length; i++) {
			var testPoint = testPointList[i]
			if (testPoint.test_id === currentTestPoint.test_id && testPoint.test_point_id === currentTestPoint.test_point_id) {
				testPointStr += '<li class="collapse-item" data-point="' + testPoint.test_point_name + '" data-name="' +
					testPoint.test_name + '" style="color: #02d65e;">'
			} else {
				testPointStr += '<li class="collapse-item" data-point="' + testPoint.test_point_name + '" data-name="' +
					testPoint.test_name + '">'
			}
			testPointStr += '<div class="item-hd">' + testPoint.test_point_name + '-' + testPoint.test_name + '</div>'
			testPointStr += '<div class="item-bd">'
			// testPointStr += '<p class="mui-progressbar" data-progress = "30">'
			// testPointStr += '<span class="yellow-bg"></span></p>'
			// testPointStr += '<span class="progress-num yellow-color">30%</span>'
			testPointStr += '</div>'
			testPointStr += '<div class="item-ft">'
			testPointStr += '<img class="right-icon" src="../../images/right.png" alt="右箭头">'
			testPointStr += '</div></li>'
		}
		testPointStr += '</ul></li>'
		document.getElementById('traitCat').innerHTML = testPointStr
		mui('.popup-wrap').scroll({
			indicators: true //是否显示滚动条
		});
		// 点击试验区
		mui('.popup-wrap').on('tap', '.collapse-item', function() {
			for (var i = 0; i < testPointList.length; i++) {
				var p = testPointList[i]
				if ((p.test_point_name + '-' + p.test_name) === (this.dataset.point + '-' + this.dataset.name)) {
					localStorage.setItem('testPoint', JSON.stringify(p))
					// 触发主页面更新试验区信息
					mui.fire(plus.webview.getWebviewById('../variety/main.html'), 'refreshPage', p)
					mui.fire(plus.webview.getWebviewById('../variety/field-manage.html'), 'refreshPage', p)
					mui.fire(plus.webview.getWebviewById('../variety/evaluate.html'), 'refreshPage', p)
					mui.fire(plus.webview.getWebviewById('../variety/manual.html'), 'refreshPage', p)
					mui.back()
					return
				}
			}
		})
	})
})(mui, window, document)
