## tab选项卡示例教程-nativeObj原生模式tab（含底部凸起大图标）
## 概述

这是一个利用原生view控件绘制底部选项卡的示例，有以下几个特点：
1.首页显示第一个tab项内容，其余tab项内容为首页的子窗口，相比创建四个子窗口，显示速度更快，占用内存更少，消耗性能更小。
2.操作简单：选项卡常用于App首页，为加快渲染，首页的原生底部选项卡是在manifest.json中通过plus -> launchwebview -> subNViews 节点配置的；
3.绘制内容支持字体，图片，矩形区域
4.开发者自定义选项卡点击事件
5.同样支持页内绘制原生 view 控件，也就是说在非首页也可以使用此方法，参考示例：底部选项卡中央凸起悬浮大图标的绘制

#### 说明：中央凸起悬浮大图标，因涉及屏幕分辨率动态计算和为给出开发者页内手动绘制的示例的原因，放在首页plusReady事件中实现绘制的。该悬浮大图标支持点击事件，开发者可定制实现对应的点击逻辑。

## 应用截图

![截图](http://img-cdn-qiniu.dcloud.net.cn/uploads/article/20170623/04c03ba9ad4afa7d11735e52c771cf94.png)

## 快速体验

[流应用app下载](http://liuyingyong.cn/) --> 扫描下方二维码快速体验

![二维码](images/ma.png)


## 使用教程

[教程参考](http://ask.dcloud.net.cn/article/12602)

由于ios开发者账号还没有申请下来，本次版本无法打包ios版本，目前先用Android版本。
本次版本主要为在线版本，主要完成功能包括：
1. 登录、注册、服务器设置、忘记密码
2. 品种测试 （性状采集、综合评价、试验手册、进度报告）
3. 材料繁育 （性状采集、杂交实施、收种执行、田间管理、种植图、进度报告）
4. 种质库存 （种质管理、入库申请、出库申请、审批） 备注：该部分的保存功能有部分未完成
5. 数据中心 （专题数据）
6. 个人中心 （检查更新、信息反馈、关于我们、修改密码、注销）
未完成及有待完善功能
离线、语音、个推、图片上传、整体功能细节还有待优化完善