var vm = new Vue({
	el: "#content",
	data: function() {
		return {
			active: 0,
			selectList: [{
				name: "我的申请单",

			}, {
				name: "新增申请单"

			}],
			isShowAddForm: false,
			quality: {
				text: "",
				picker: {},
			},
			fertility: {
				text: "",
				picker: {},
			},
			seedHandle: {
				text: "",
				picker: {},
			},
			seedTime: {
				text: "",
				picker: {},
			}
		}
	},
	methods: {
		// 初始化图形
		initCircle: function() {
			$('.indicatorContainer').radialIndicator({
				initValue: 90.30,
				format: '##.##',
				percentage: true,
				fontColor: "#fff",
				barWidth: 6,
				radius: 50,
				barColor: {
					0: '#ff5311',
					100: '#f09819'
				},
			});
		},
			// 切换弹窗展示状态
		openPopover: function() {
			mui('#sheet1').popover('toggle');
		},
		// 切换弹窗展示状态
		openPopover2: function() {
			mui('#sheet2').popover('toggle');
		},
		// 切换激活元素
		changeActive: function(index) {
			this.active = index
		},
		// 显示新增弹窗
		showAddForm: function() {
			this.isShowAddForm = true
		},
		// 关闭新增弹窗
		closeAddForm: function() {
			this.isShowAddForm = false
		},
		initPicker1: function() {
			common.picker.initPicker(this, "quality", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 修改选中值
		changePicker1: function() {
			common.picker.changePicker(this, "quality")

		},
		initPicker2: function() {
			common.picker.initPicker(this, "fertility", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 修改选中值
		changePicker2: function() {
			common.picker.changePicker(this, "fertility")

		},
		initPicker3: function() {
			common.picker.initPicker(this, "seedHandle", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 修改选中值
		changePicker3: function() {
			common.picker.changePicker(this, "seedHandle")

		},
		initPicker4: function() {
			common.picker.initPicker(this, "seedTime", [{
				value: "first",
				text: "第一项"
			}, {
				value: "second",
				text: "第一项"
			}, {
				value: "third",
				text: "第三项"
			}, {
				value: "fourth",
				text: "第四项"
			}, {
				value: "fifth",
				text: "第五项"
			}])
		},
		// 修改选中值
		changePicker4: function() {
			common.picker.changePicker(this, "seedTime")

		}
	},
	mounted() {
		// 加载选择框及图形
		this.initCircle();
		this.initPicker1()
		this.initPicker2()
		this.initPicker3()
		this.initPicker4()
	}
})
