var vm = new Vue({
	el: "#content",
	data: function() {
		return {
			advise: '',
			clientIp: null,
			cid: '',
		}
	},
	methods: {
		submit() {
			// 提交反馈
			plus.nativeUI.showWaiting();
			window.model.post('hzapp/submit_advise.do', {
				client_ip: this.clientIp,
				advise: this.advise,
				cid: vm.cid,
			}, function(data) {
				plus.nativeUI.closeWaiting();
				window.plus.nativeUI.alert("您的反馈信息已收到，我们将于两个工作日做出答复", function() {
					mui.back()
				})
			})
		},
	},
})

document.addEventListener('plusready', function() {
	// 页面加载时触发  
	var pinf = plus.push.getClientInfo();
	vm.cid = pinf.clientid; //客户端标识  
}, false);

mui.plusReady(function() {
	var server = plus.storage.getItem('server')
	if (server) {
		server = JSON.parse(server)
		vm.clientIp = server.ip
	}
})
