
mui.init({});

var vm = new Vue({
	el: '#content',
	data: function() {
		return {
			detail:{},
			germplasmId:'',
		}
	},
	methods:{
		//搜索记录
		getSearchDetail(){
			plus.nativeUI.showWaiting();
			window.model.post('hzapp/germplasm/getGermplasmBaseInfo.do', {
				germplasmId: vm.germplasmId,
			}, function(res){
				vm.detail=res.data;
				plus.nativeUI.closeWaiting();
			}, function(error){
				mui.toast(error.message, {type: 'div', duration:'long'});
				plus.nativeUI.closeWaiting();
			})
		},
	},

});



mui.plusReady(function () {
	const self=plus.webview.currentWebview();
	vm.germplasmId=self.germplasmId,
	vm.getSearchDetail();
});
		