mui.init({
	swipeBack: true //启用右滑关闭功能
});
var offlineOpen = localStorage.getItem('offline')
if (offlineOpen === 'off') {
	document.getElementById('statusOnOff').innerHTML = '离线'
	document.getElementById("offline").classList = 'mui-switch mui-switch-mini'
} else {
	document.getElementById('statusOnOff').innerHTML = '在线'
	document.getElementById("offline").classList = 'mui-switch mui-switch-mini mui-active'
}
var offBreedCount = {
	trait: 0,
	hybrid: 0,
	seed: 0,
	field: 0
}
var offTraitCount = {
	trait: 0,
	field: 0,
	eval: 0,
	test: 0
}
var offBreedSave = {
	traitData: false,
	traitImage: false
}
// 配置页面跳转关系
var moduleUrl = {
	'品种测试-性状采集': {
		'href': '../variety/main.html',
		'icon': '../../images/module1/xzcj.png',
		'pathFrom': ''
	},
	'品种测试-田间管理': {
		'href': '../variety/field-manage.html',
		'icon': '../../images/module1/tjgl.png',
		'pathFrom': ''
	},
	'品种测试-综合评价': {
		'href': '../variety/evaluate.html',
		'icon': '../../images/module1/zhpj.png',
		'pathFrom': ''
	},
	'品种测试-试验手册': {
		'href': '../variety/manual.html',
		'icon': '../../images/module1/sysc.png',
		'pathFrom': ''
	},
	'品种测试-离线数据': {
		'href': '../variety/offline-data.html',
		'icon': '../../images/module1/lxsj.png',
		'pathFrom': ''
	},
	'品种测试-进度报告': {
		'href': '../variety/progress-report.html',
		'icon': '../../images/module1/jdbg.png',
		'pathFrom': ''
	},
	'品种测试-信息检索': {
		'href': '/html/data/search-index.html',
		'icon': '../../images/module1/xxjs.png',
		'pathFrom': '品种测试'
	},
	'材料繁育-性状采集': {
		'href': '/html/breeding/main.html',
		'icon': '../../images/module2/xzcj.png',
		'pathFrom': ''
	},
	'材料繁育-杂交实施': {
		'href': '/html/breeding/cross-index.html',
		'icon': '../../images/module2/zjss.png',
		'pathFrom': ''
	},
	'材料繁育-收种执行': {
		'href': '/html/breeding/seed-collection.html',
		'icon': '../../images/module2/szzx.png',
		'pathFrom': ''
	},
	'材料繁育-田间管理': {
		'href': '/html/breeding/field-index.html',
		'icon': '../../images/module2/tjgl.png',
		'pathFrom': ''
	},
	'材料繁育-离线数据': {
		'href': '/html/breeding/download-index.html',
		'icon': '../../images/module2/lxsj.png',
		'pathFrom': ''
	},
	'材料繁育-种植图': {
		'href': '/html/breeding/planting-picture.html',
		'icon': '../../images/module2/zzt.png',
		'pathFrom': ''
	},
	'材料繁育-信息检索': {
		'href': '/html/data/search-index.html',
		'icon': '../../images/module2/xxjs.png',
		'pathFrom': '材料繁育'
	},
	'材料繁育-进度报告': {
		'href': '/html/breeding/progress-report.html',
		'icon': '../../images/module2/jdbg.png',
		'pathFrom': ''
	},
	'种质库存-种质管理': {
		'href': '/html/data/manage-index.html',
		'icon': '../../images/module3/zzgl.png',
		'pathFrom': ''
	},
	'种质库存-入库申请': {
		'href': '/html/data/storage-apply.html',
		'icon': '../../images/module3/rk.png',
		'pathFrom': ''
	},
	'种质库存-出库申请': {
		'href': '/html/data/deliver-apply.html',
		'icon': '../../images/module3/ck.png',
		'pathFrom': ''
	},
	'种质库存-审批': {
		'href': '/html/data/examine-index.html',
		'icon': '../../images/module3/sp.png',
		'pathFrom': ''
	},
	'种质库存-种质扫码': {
		'href': '/html/data/scan/scan.html',
		'icon': '../../images/module3/scan.png',
		'pathFrom': ''
	},
	'数据中心-信息检索': {
		'href': '/html/data/search-index.html',
		'icon': '../../images/module4/xxjs.png',
		'pathFrom': '数据中心'
	},
	'数据中心-专题数据': {
		'href': '/html/data/theme-category.html',
		'icon': '../../images/module4/ztsj.png',
		'pathFrom': ''
	},
	'数据中心-智慧物联': {
		'href': '/html/data/pageBox2.html',
		'icon': '../../images/module4/zhwl.png',
		'pathFrom': 'indexWuLian'
	},

}
// https://iot.wiserice.com.cn/data_center/st_iot.php
// 材料繁育-田间管理
function saveBreedField() {
	plus.sqlite.selectSql({
		name: 'hz',
		sql: `select * from breed_piece_data where status = 0`,
		success: function(e) {
			if (e.length > 0) {
				breedNoData = false
				let breedFieldList = {}
				e.forEach(item => {
					if (breedFieldList[item.breed_plan_id]) {
						breedFieldList[item.breed_plan_id].children[item.property_name] = item.value
					} else {
						breedFieldList[item.breed_plan_id] = {
							breed_plan_id: item.breed_plan_id,
							plant_piece_id: item.plant_piece_id,
							children: {
								pieceId: item.piece_id,
								plantPieceId: item.plant_piece_id
							}
						}
						breedFieldList[item.breed_plan_id].children[item.property_name] = item.value
					}
				});
				for (const key in breedFieldList) {
					if (breedFieldList.hasOwnProperty(key)) {
						const item = breedFieldList[key];
						let params = {
							breed_plan_id: item.breed_plan_id,
							plant_piece_id: item.plant_piece_id,
							data: JSON.stringify(item.children)
						}
						window.model.post('hzapp/breed/save_breed_piece_data.do', params, function(res) {
							if (res.code === 1) {
								plus.sqlite.executeSql({
									name: 'hz',
									sql: `update breed_piece_data set status = 1 where breed_plan_id = ${params.breed_plan_id}`
								})
								plus.sqlite.selectSql({
									name: 'hz',
									sql: 'select * from breed_piece_data where status = 0',
									success: function(e) {
										offBreedCount.field = e.length
									}
								})
								let countFieldObj = document.getElementById('countField')
								countFieldObj && (countFieldObj.style.display = 'none')
							}
						}, function(error) {})
					}
				}
			} else {

			}
		}
	})
}

// 材料繁育-收种执行
function saveBreedExcution() {
	// 更新
	plus.sqlite.selectSql({
		name: 'hz',
		sql: `select * from breed_collect_execute where status = 0`,
		success: function(e) {
			if (e.length > 0) {
				breedNoData = false
				let dataList = {}
				e.forEach(item => {
					if (dataList[item.breed_plan_id]) {
						dataList[item.breed_plan_id].push(item)
					} else {
						dataList[item.breed_plan_id] = [item]
					}
				});

				for (const key in dataList) {
					if (dataList.hasOwnProperty(key)) {
						const dataItem = dataList[key];
						let params = {
							breed_plan_id: key
						}
						let data = []
						dataItem.forEach(item => {
							data.push({
								"fieldNo": item.field_no === 'null' ? '' : item.field_no,
								"planBlockRow": item.plan_block_row === 'null' ? '' : item.plan_block_row,
								"planBlockColumn": item.plan_block_column === 'null' ? '' : item.plan_block_column,
								"planCollectNumber": item.plan_collect_number === 'null' ? '' : item.plan_collect_number,
								"actualBlockRow": item.actual_block_row === 'null' ? '' : item.actual_block_row,
								"actualBlockColumn": item.actual_block_column === 'null' ? '' : item.actual_block_row,
								"subitemGermplasmId": item.subitem_germplasm_id,
								"collectType": item.collect_type,
								"collectStatus": item.collect_status || 0,
								"unit": item.unit === 'null' ? '' : item.unit
							})
						});
						params.data = JSON.stringify(data)
						window.model.post('hzapp/breed/save_collect_execution.do', params, function(data) {
							plus.sqlite.executeSql({
								name: 'hz',
								sql: `update breed_collect_execute set status = 1 where breed_plan_id = ${params.breed_plan_id}`
							})
							plus.sqlite.selectSql({
								name: 'hz',
								sql: 'select * from breed_collect_execute where status = 0',
								success: function(e) {
									offBreedCount.seed = e.length
									if (offBreedCount.seed === 0) {
										let countSeedObj = document.getElementById('countSeed')
										countSeedObj && (countSeedObj.style.display = 'none')
									}
								},
								fail: function(e) {

								}
							})
							if (data.code === 1) {

							}
							plus.nativeUI.closeWaiting()
						}, function() {
							plus.nativeUI.closeWaiting()
						})
					}
				}
			} else {

			}
		},
		fail: function(e) {

		}
	})
}

// 材料繁育-性状采集
function saveBreedTrait() {
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from breed_trait_data where status = 0',
		success: function(e) {
			let data = e
			let params = {}
			if (data && data.length > 0) {
				breedNoData = false
				data.forEach(item => {
					if (params[item.breed_plan_id]) {
						params[item.breed_plan_id].push({
							'subitemGermplasmId': item.subitem_germplasm_id,
							'traitId': item.trait_id,
							'blockRow': item.block_row,
							'blockColumn': item.block_column,
							'traitValue': item.trait_value,
							'traitTime': item.trait_time,
							'traitSeq': 1
						})
					} else {
						params[item.breed_plan_id] = [{
							'subitemGermplasmId': item.subitem_germplasm_id,
							'traitId': item.trait_id,
							'blockRow': item.block_row,
							'blockColumn': item.block_column,
							'traitValue': item.trait_value,
							'traitTime': item.trait_time,
							'traitSeq': 1
						}]
					}
				});
				for (const key in params) {
					if (params.hasOwnProperty(key)) {
						const data = params[key];
						window.model.post('hzapp/breed/save_field_data.do', {
							breed_plan_id: key,
							data: JSON.stringify(data)
						}, function(data) {
							plus.sqlite.executeSql({
								name: 'hz',
								sql: `update breed_trait_data set status = 1 where breed_plan_id = ${key}`,
								success: function(e) {},
								fail: function(e) {}
							})
							plus.sqlite.selectSql({
								name: 'hz',
								sql: 'select status from breed_trait_data where status = 0 union all select status from breed_trait_image where status = 0',
								success: function(e) {
									offBreedCount.trait = e.length
									if (offBreedCount.trait === 0) {
										let countTraitObj = document.getElementById('countTrait')
										countTraitObj && (countTraitObj.style.display = 'none')
									}
								},
								fail: function(e) {

								}
							})
						}, function() {})
					}
				}
			}
		},
		fail: function(e) {

		}
	})
}

// 更新图片状态
function updateTraitImageStatus(item) {
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `update breed_trait_image set status = 1 where breed_plan_id = ${item.breed_plan_id} and subitem_germplasm_id != 0 and trait_id != 0`,
		success: function(e) {},
		fail: function(e) {}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_trait_data where status = 0 union all select status from breed_trait_image where status = 0',
		success: function(e) {
			offBreedCount.trait = e.length
			if (offBreedCount.trait === 0) {
				let countTraitObj = document.getElementById('countTrait')
				countTraitObj && (countTraitObj.style.display = 'none')
			}
		},
		fail: function(e) {

		}
	})
}
// 更新材料繁育性状图片状态
function updateBreedImagesStatus(item) {
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `update breed_trait_image set status = 1 where breed_plan_id = ${item.breed_plan_id} and subitem_germplasm_id > 0 and trait_id > 0`,
		success: function(e) {},
		fail: function(e) {}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_trait_data where status = 0 union all select status from breed_trait_image where status = 0',
		success: function(e) {
			offBreedCount.trait = e.length
			if (offBreedCount.trait === 0) {
				let countTraitObj = document.getElementById('countTrait')
				countTraitObj && (countTraitObj.style.display = 'none')
			}
		},
		fail: function(e) {

		}
	})
}
// 更新我的图片状态
function updateOwnImageStatus(item) {
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `update breed_trait_image set status = 1 where breed_plan_id = ${item.breed_plan_id} and subitem_germplasm_id = 0 and trait_id = 0`,
		success: function(e) {},
		fail: function(e) {}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_trait_data where status = 0 union all select status from breed_trait_image where status = 0',
		success: function(e) {
			offBreedCount.trait = e.length
			if (offBreedCount.trait === 0) {
				let countTraitObj = document.getElementById('countTrait')
				countTraitObj && (countTraitObj.style.display = 'none')
			}
		},
		fail: function(e) {

		}
	})
}
// 材料繁育-性状采集-图片
function saveBreedTraitImages() {
	// 性状图片保存
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from breed_trait_image where status = 0 and subitem_germplasm_id != 0 and trait_id != 0',
		success: function(e) {
			if (e && e.length > 0) {
				breedNoData = false
				let params = []
				// 育种计划ID_材料ID_行号_列号_性状ID_性状序号_时间戳
				let time = new Date().getTime()
				e.forEach(item => {
					plus.io.resolveLocalFileSystemURL("file://" + item.image_path, function(entry) {
						entry.file(function(file) {
							let post = file.fullPath.replace(/.*(\.[a-zA-Z]*)$/g, '$1')
							file.fullPath = "file://" + file.fullPath;
							file.name =
								`${item.breed_plan_id}_${item.subitem_germplasm_id}_${item.block_row}_${item.block_column}_${item.trait_id}_${item.trait_seq}_${new Date().getTime()}${post}`

							window.model.file('hzapp/breed/save_field_image.do', file, () => {
								updateBreedImagesStatus(item)
							})
						});
					}, function(e) {
						console.log(JSON.stringify(e));
					})
				});
			}
		},
		fail: function(e) {
			console.log(JSON.stringify(e));
		}
	})
	// 我的图片
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from breed_trait_image where status = 0 and subitem_germplasm_id = 0 and trait_id = 0',
		success: function(e) {
			if (e && e.length > 0) {
				let time = new Date().getTime()
				e.forEach(item => {
					plus.io.resolveLocalFileSystemURL("file://" + item.image_path, function(entry) {
						entry.file(function(file) {
							let post = file.fullPath.replace(/.*(\.[a-zA-Z]*)$/g, '$1')
							file.fullPath = "file://" + file.fullPath;
							file.name = `${item.breed_plan_id}_${new Date().getTime()}${post}`
							window.model.file('hzapp/breed/save_my_field_image.do', file, () => {
								updateOwnImageStatus(item)
							})
						});
					})
				});
			}
		},
		fail: function(e) {

		}
	})
}

// 材料繁育-杂交实施
function saveBreedHybrid() {
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from breed_hybrid_matches where status = 0',
		success: function(e) {
			if (e && e.length > 0) {
				breedNoData = false
				let plans = {}
				e.forEach(item => {
					if (plans[item.breed_plan_id]) {
						plans[item.breed_plan_id].push({
							maleSubitemGermplasmId: item.male_subitem_germplasm_id,
							maleBlockRow: item.male_block_row,
							maleBlockColumn: item.male_block_column,
							maleStrainNo: item.male_strain_no,
							femaleSubitemGermplasmId: item.female_subitem_germplasm_id,
							femaleBlockRow: item.female_block_row,
							femaleBlockColumn: item.female_block_column,
							femaleStrainNo: item.female_strain_no,
							belongProjectId: item.belong_project_id,
							maleHeadingTime: item.male_heading_time,
							femaleHeadingTime: item.female_heading_time
						})
					} else {
						plans[item.breed_plan_id] = [{
							maleSubitemGermplasmId: item.male_subitem_germplasm_id,
							maleBlockRow: item.male_block_row,
							maleBlockColumn: item.male_block_column,
							maleStrainNo: item.male_strain_no,
							femaleSubitemGermplasmId: item.female_subitem_germplasm_id,
							femaleBlockRow: item.female_block_row,
							femaleBlockColumn: item.female_block_column,
							femaleStrainNo: item.female_strain_no,
							belongProjectId: item.belong_project_id,
							maleHeadingTime: item.male_heading_time,
							femaleHeadingTime: item.female_heading_time
						}]
					}
				});
				for (const key in plans) {
					if (plans.hasOwnProperty(key)) {
						const planArr = plans[key];
						window.model.post('hzapp/breed/save_hybrid_match.do', {
							breed_plan_id: key,
							type: 0,
							data: JSON.stringify(planArr),
						}, function(data) {
							plus.sqlite.executeSql({
								name: 'hz',
								sql: `update breed_hybrid_matches set status = 1 where breed_plan_id = ${key}`
							})
							plus.sqlite.selectSql({
								name: 'hz',
								sql: 'select * from breed_hybrid_matches where status = 0',
								success: function(e) {
									offBreedCount.hybrid = e.length
									if (offBreedCount.hybrid === 0) {
										let countHybridObj = document.getElementById('countHybrid')
										countHybridObj && (countHybridObj.style.display = 'none')
									}
								},
								fail: function(e) {

								}
							})
						}, function() {

						})
					}
				}
			}
		},
		fail: function(e) {

		}
	})

	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from breed_hybrid_implementes where status = 0',
		success: function(e) {
			let plans = {}
			e.forEach(item => {
				if (plans[item.breed_plan_id]) {
					plans[item.breed_plan_id].push({
						matchNo: item.match_no,
						matchOperateNo: item.match_operate_no,
						maleSubitemGermplasmId: item.male_subitem_germplasm_id,
						femaleSubitemGermplasmId: item.female_subitem_germplasm_id,
						maleBlockRow: item.male_block_row,
						maleBlockColumn: item.male_block_column,
						maleStrainNo: item.male_strain_no,
						femaleBlockRow: item.female_block_row,
						femaleBlockColumn: item.female_block_column,
						femaleStrainNo: item.female_strain_no,
						femaleOperateTime: item.female_operate_time,
						operateTime: item.operate_time,
						creator: '',
						femaleCreator: '',
						operateDesc: item.operate_desc,
						operateStatus: '',
					})
				} else {
					plans[item.breed_plan_id] = [{
						matchNo: item.match_no,
						matchOperateNo: item.match_operate_no,
						maleSubitemGermplasmId: item.male_subitem_germplasm_id,
						femaleSubitemGermplasmId: item.female_subitem_germplasm_id,
						maleBlockRow: item.male_block_row,
						maleBlockColumn: item.male_block_column,
						maleStrainNo: item.male_strain_no,
						femaleBlockRow: item.female_block_row,
						femaleBlockColumn: item.female_block_column,
						femaleStrainNo: item.female_strain_no,
						femaleOperateTime: item.female_operate_time,
						operateTime: item.operate_time,
						creator: '',
						femaleCreator: '',
						operateDesc: item.operate_desc,
						operateStatus: '',
					}]
				}
			});
			for (const key in plans) {
				if (plans.hasOwnProperty(key)) {
					const planArr = plans[key];
					window.model.post('hzapp/breed/save_hybrid_implement.do', {
						breed_plan_id: key,
						data: JSON.stringify(planArr),
					}, function(data) {
						plus.sqlite.executeSql({
							name: 'hz',
							sql: `update breed_hybrid_implementes set status = 1 where breed_plan_id = ${key}`
						})
						plus.sqlite.selectSql({
							name: 'hz',
							sql: 'select * from breed_hybrid_implementes where status = 0',
							success: function(e) {
								offBreedCount.hybrid = e.length
								if (offBreedCount.hybrid === 0) {
									let countHybridObj = document.getElementById('countHybrid')
									countHybridObj && (countHybridObj.style.display = 'none')
								}
							},
							fail: function(e) {

							}
						})
					}, function() {

					})
				}
			}
		},
		fail: function(e) {

		}
	})

}
// 更新材料繁育杂交实施图片状态
function updateHybridImagesStatus(item) {
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `update breed_hybrid_implementes_images set status = 1 where breed_plan_id = ${item.breed_plan_id}`,
		success: function(e) {},
		fail: function(e) {}
	})
	let len = 0
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_hybrid_matches where status = 0 union all select status from breed_hybrid_implementes where status = 0',
		success: function(e) {
			len = e.length
		},
		fail: function(e) {

		}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_hybrid_implementes_images where status = 0',
		success: function(e) {
			offBreedCount.hybrid = len + e.length
			if (offBreedCount.hybrid === 0) {
				let counthybridObj = document.getElementById('counthybrid')
				counthybridObj && (counthybridObj.style.display = 'none')
			}
		}
	})
}
// 杂交实施图片保存
function hybridImageSave() {
	// 性状图片保存
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from breed_hybrid_implementes_images where status = 0',
		success: function(e) {
			if (e && e.length > 0) {
				let params = []
				// 育种计划ID_杂交编号_实施编号_时间戳
				let time = new Date().getTime()
				e.forEach(item => {
					plus.io.resolveLocalFileSystemURL("file://" + item.image_path, function(entry) {
						entry.file(function(file) {
							let post = file.fullPath.replace(/.*(\.[a-zA-Z]*)$/g, '$1')
							file.fullPath = "file://" + file.fullPath;
							file.name =
								`${item.breed_plan_id}_${item.match_no}_${item.match_operate_no}_${new Date().getTime()}${post}`
							window.model.file('hzapp/breed/save_hybrid_implement_image.do', file, () => {
								updateHybridImagesStatus(item)
							})
						});
					})
				});
			}
		},
		fail: function(e) {

		}
	})
}

var breedHeart = null
var breedHeartTime = 0
// 上传繁育
function breedEndHeart() {
	if (!breedHeart) {
		breedHeart = setInterval(() => {
			breedHeartTime++
			// 十分钟
			if (breedHeartTime > 60000) {
				clearInterval(breedHeart)
				plus.nativeUI.closeWaiting()
				mui.toast('提交超时！', {
					type: 'div',
					duration: 'long'
				})
			}
			// if (breedNoData) {
			// 	mui.toast('暂无提交数据！', {type: 'div', duration:'long'})
			// 	clearInterval(breedHeart)
			// 	plus.nativeUI.closeWaiting()
			// 	breedHeart = null
			// 	return
			// } else {
			// 	breedNoData = true
			// }
			if (offBreedCount.trait === 0 && offBreedCount.hybrid === 0 && offBreedCount.seed === 0 && offBreedCount.field ===
				0) {
				clearInterval(breedHeart)
				plus.nativeUI.closeWaiting()
				breedHeart = null
				offlineCount()
				getAccessModuleList()
				mui.toast('上传提交成功！', {
					type: 'div',
					duration: 'long'
				})

			}
		}, 100);
	}
}
// 材料繁育
var breedNoData = true
// 上传提交材料繁育
function submitBreeding() {
	if (offlineOpen === 'off') {
		mui.toast('请在在线模式提交', {
			type: 'div',
			duration: 'long'
		})
		return
	}
	if (offBreedCount.trait === 0 && offBreedCount.hybrid === 0 && offBreedCount.seed === 0 && offBreedCount.field === 0) {
		mui.toast('数据已提交', {
			type: 'div',
			duration: 'long'
		})
		return
	}
	mui.confirm('确定提交材料繁育离线数据？', '系统提示', ['取消', '确认'], function(e) {
		if (e.index === 1) {
			plus.nativeUI.showWaiting()
			breedEndHeart()
			saveBreedField()
			saveBreedExcution()
			saveBreedTrait()
			saveBreedTraitImages()
			saveBreedHybrid()
			hybridImageSave()
		}
	}, 'div')
}

// 品种测试-性状采集提交
function saveTraitTrait() {
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from test_trait_data where status = 0',
		success: function(res) {
			let dataList = []
			let userInfo = JSON.parse(localStorage.getItem('UserInfo'))
			if (res && res.length > 0) {
				varietyNoData = false
				res.forEach(x => {
					dataList.push({
						test_id: x.test_id,
						test_point_id: x.test_point_id,
						group_code: x.group_code,
						field_id: x.field_id,
						trait_id: x.trait_id,
						random_id: x.random_id,
						repeat_seq: x.repeat_seq,
						value: x.value || '',
						data_seq: '1',
						recoder: userInfo.display_name,
						recode_time: moment().format('YYYY-MM-DD HH:mm:ss')
					})
				});
				window.model.post('hzapp/fieldtest/save_test_trait_data.do', {
					data: JSON.stringify(dataList)
				}, function(data) {
					if (data.code === 1) {
						plus.sqlite.executeSql({
							name: 'hz',
							sql: 'update test_trait_data set status = 1',
							success: function(e) {
								plus.sqlite.executeSql({
									name: 'hz',
									sql: `update test_trait_data set status = 1`,
									success: function(e) {},
									fail: function(e) {}
								})
								plus.sqlite.selectSql({
									name: 'hz',
									sql: 'select status from breed_trait_data where status = 0 union all select status from test_trait_data where status = 0',
									success: function(e) {
										offTraitCount.trait = e.length
										if (offTraitCount.trait === 0) {
											let countTraitTraitObj = document.getElementById('countTraitTrait')
											countTraitTraitObj && (countTraitTraitObj.style.display = 'none')
										}
									},
									fail: function(e) {

									}
								})
							}
						})
					}
				})
			}
		}
	})
}

// 更新性状采集图片保存
function updateTraitImageStatus(item) {
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `update test_trait_image set status = 1 where test_id = ${item.test_id}`
	})	
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from test_trait_image where status = 0',
		success: function(e) {
			offTraitCount.trait = e.length
			if (offTraitCount.trait === 0) {
				let countTraitTraitObj = document.getElementById('countTraitTrait')
				countTraitTraitObj && (countTraitTraitObj.style.display = 'none')
			}
		},
		fail: function(e) {

		}
	})
}
// 图片保存
// test_trait_image
function saveTestTraitImage() {
	// 性状图片保存
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from test_trait_image where status = 0',
		success: function(e) {
			if (e && e.length > 0) {
				varietyNoData = false
				// 试验ID_测试点ID_分组编号_采集批号_性状编号_小区编号_小区序列号_时间戳
				let time = new Date().getTime()
				e.forEach(item => {

					plus.io.resolveLocalFileSystemURL("file://" + item.image_path, function(entry) {
						entry.file(function(file) {
							let post = file.fullPath.replace(/.*(\.[a-zA-Z]*)$/g, '$1')
							file.fullPath = "file://" + file.fullPath;
							file.name =
								`${item.test_id}_${item.test_point_id}_${item.group_code}_${item.data_seq}_${item.trait_id}_${item.field_id}_${item.random_id}_${new Date().getTime()}${post}`
							window.model.file('hzapp/fieldtest/save_test_trait_image.do', file, () => {
								updateTraitImageStatus(item)
							})
						});
					})
				});
			}
		},
		fail: function(e) {

		}
	})
}

// 田间数据保存
function saveVarietyField() {
	// 田间数据保存
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from test_field_data where status = 0',
		success: function(e) {
			if (e && e.length > 0) {
				varietyNoData = false
				let breedList = {}
				e.forEach(item => {
					if (breedList[item.test_id]) {
						breedList[item.test_id][item.property_name] = item.value
					} else {
						breedList[item.test_id] = {
							test_id: item.test_id,
							test_point_id: item.test_point_id
						}
						breedList[item.test_id][item.property_name] = item.value
					}
				});
				for (const key in breedList) {
					if (breedList.hasOwnProperty(key)) {
						const item = breedList[key];
						window.model.post('hzapp/fieldtest/save_field_data.do', {
							data: JSON.stringify(item)
						}, function(res) {
							if (res.code === 1) {
								plus.sqlite.executeSql({
									name: 'hz',
									sql: `update test_field_data set status = 1 where test_id = ${item.test_id}`
								})
								plus.sqlite.selectSql({
									name: 'hz',
									sql: 'select status from test_field_data where status = 0',
									success: function(e) {
										offTraitCount.field = e.length
										if (offTraitCount.field === 0) {
											let countTraitFieldObj = document.getElementById('countTraitField')
											countTraitFieldObj && (countTraitFieldObj.style.display = 'none')
										}
									},
									fail: function(e) {

									}
								})
							}
						}, function(error) {})
					}
				}
			} else {}
		}
	})
}

// 综合评价保存
function saveVarietyEval(call) {
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select * from test_evaluation_data where status = 0',
		success: function(e) {
			if (e && e.length > 0) {
				varietyNoData = false
				let tests = []
				e.forEach(item => {
					if (tests.indexOf(item.test_id) === -1) {
						tests.push(item.test_id)
					}
				});
				window.model.post('hzapp/fieldtest/save_cell_evalution.do', {
					data: JSON.stringify(e)
				}, function(data) {
					if (data.code === 1) {
						tests.forEach(item => {
							plus.sqlite.executeSql({
								name: 'hz',
								sql: `update test_evaluation_data set status = 1 where test_id = ${item}`
							})
							plus.sqlite.selectSql({
								name: 'hz',
								sql: 'select status from test_evaluation_data where status = 0',
								success: function(e) {
									offTraitCount.field = e.length
									if (offTraitCount.field === 0) {
										let countTraitEvalObj = document.getElementById('countTraitEval')
										countTraitEvalObj && (countTraitEvalObj.style.display = 'none')
									}
								},
								fail: function(e) {

								}
							})
						});
					}
				}, function(error) {})
			} else {}
		}
	})
}

var traitHeart = null
var traitHeartTime = 0
// 品种测试提交
function traitEndHeart() {
	if (!traitHeart) {
		traitHeart = setInterval(() => {
			traitHeartTime++
			// 十分钟
			if (traitHeartTime > 60000) {
				clearInterval(traitHeart)
				plus.nativeUI.closeWaiting()
				mui.toast('提交超时！', {
					type: 'div',
					duration: 'long'
				})
			}
			// if (varietyNoData) {
			// 	mui.toast('暂无提交数据！', {type: 'div', duration:'long'})
			// 	clearInterval(traitHeart)
			// 	plus.nativeUI.closeWaiting()
			// 	traitHeart = null
			// 	return
			// } else {
			// 	varietyNoData = true
			// }
			if (offTraitCount.trait === 0 && offTraitCount.field === 0 && offTraitCount.eval === 0) {
				clearInterval(traitHeart)
				plus.nativeUI.closeWaiting()
				traitHeart = null
				mui.toast('上传提交成功！', {
					type: 'div',
					duration: 'long'
				})
			}
		}, 100);
	}
}
// 提交品种测试
var varietyNoData = true

function submitVariety() {
	if (offlineOpen === 'off') {
		mui.toast('请在在线模式提交', {
			type: 'div',
			duration: 'long'
		})
		return
	}
	if (offTraitCount.trait === 0 && offTraitCount.field === 0 && offTraitCount.eval === 0 && offTraitCount.test === 0) {
		mui.toast('数据已提交', {
			type: 'div',
			duration: 'long'
		})
		return
	}
	mui.confirm('确定提交品种测试离线数据？', '系统提示', ['取消', '确认'], function(e) {
		if (e.index === 1) {
			plus.nativeUI.showWaiting()
			traitEndHeart()
			saveTestTraitImage()
			saveVarietyField()
			saveTraitTrait()
			saveVarietyEval()
		}
	}, 'div')
}
// 离线统计
function offlineCount() {
	// plus.sqlite.selectSql({
	// 	name: 'hz',
	// 	sql: 'select * from breed_trait_image where status = 1 and subitem_germplasm_id != 0 and trait_id != 0',
	// 	success: function(e){
	// 		console.log(e)
	// 	},
	// 	fail: function(e){

	// 	}
	// })
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_trait_data where status = 0 union all select status from breed_trait_image where status = 0',
		success: function(res) {
			offBreedCount.trait = res.length
		},
		fail: function(e) {
			console.log(e)
		}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_hybrid_matches where status = 0 union all select status from breed_hybrid_implementes where status = 0',
		success: function(res) {
			offBreedCount.hybrid = res.length
		}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_hybrid_implementes_images where status = 0',
		success: function(res) {
			offBreedCount.hybrid += res.length
		}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_collect_execute where status = 0',
		success: function(res) {
			offBreedCount.seed = res.length
		}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from breed_piece_data where status = 0',
		success: function(res) {
			offBreedCount.field = res.length
		}
	})

	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from test_trait_data where status = 0 union all select status from test_trait_image where status = 0',
		success: function(res) {
			offTraitCount.trait = res.length
		}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from test_field_data where status = 0',
		success: function(res) {
			offTraitCount.field = res.length
		}
	})
	plus.sqlite.selectSql({
		name: 'hz',
		sql: 'select status from test_evaluation_data where status = 0',
		success: function(res) {
			offTraitCount.eval = res.length
		}
	})
	
	
}
// 
mui.plusReady(function() {
	plus.sqlite.openDatabase({
		name: 'hz',
		path: '_doc/huazhi.db'
	})
	
	offlineCount()
	carousel()
	getAccessModuleList()
	//消息个推
	//监听系统通知栏消息点击事件  
	plus.push.addEventListener('click', function(msg) {
		//处理点击消息的业务逻辑代码  
	}, false);
	//监听接收透传消息事件  
	plus.push.addEventListener('receive', function(msg) {
		//处理透传消息的业务逻辑代码  
	}, false);
	pushInfo();
})

//消息个推
document.addEventListener('plusready', function() {
	// 页面加载时触发  
	var pinf = plus.push.getClientInfo();
	var cid = pinf.clientid; //客户端标识  
}, false);
// 处理轮播
function handleCarousel(data) {
	let ret = '';
	let retIndicator = ''
	for (let i = 0; i < data.length; i++) {
		const carousel = data[i];
		if (i === 0) {
			ret += "<div class='mui-slider-item mui-slider-item-duplicate'><a class='carousel-link' data-href='" + carousel.link_path +
				"' data-title='" + carousel.title + "'><img src='" + window.model.baseUrl() + data[data.length - 1].image_path +
				"' /></a></div>"
			ret += "<div class='mui-slider-item'><a class='carousel-link' data-href='" + carousel.link_path + "' data-title='" +
				carousel.title + "'><img src='" + window.model.baseUrl() + carousel.image_path + "' /></a></div>"
			retIndicator += "<div class='mui-indicator mui-active'></div>"
		} else if (i === (data.length - 1)) {
			ret += "<div class='mui-slider-item'><a class='carousel-link' data-href='" + carousel.link_path + "' data-title='" +
				carousel.title + "'><img src='" + window.model.baseUrl() + carousel.image_path + "' /></a></div>"
			ret += "<div class='mui-slider-item mui-slider-item-duplicate'><a class='carousel-link' data-href='" + carousel.link_path +
				"' data-title='" + carousel.title + "'><img src='" + window.model.baseUrl() + data[0].image_path + "' /></a></div>"
			retIndicator += "<div class='mui-indicator'></div>"
		} else {
			ret += "<div class='mui-slider-item'><a class='carousel-link' data-href='" + carousel.link_path + "' data-title='" +
				carousel.title + "'><img src='" + window.model.baseUrl() + carousel.image_path + "' /></a></div>"
			retIndicator += "<div class='mui-indicator'></div>"
		}
	}
	mui('#slider')[0].innerHTML = ret
	mui('#sliderIndicator')[0].innerHTML = retIndicator
	mui('.mui-slider-item').on('tap', '.carousel-link', function(e) {
		mui.openWindow({
			url: '/html/iframe.html',
			id: '/html/iframe.html',
			extras: {
				href: this.getAttribute('data-href'),
				title: this.getAttribute('data-title'),
			}
		})
	})
	var gallery = mui('.mui-slider');
	gallery.slider({
		interval: 4000
	});
	plus.nativeUI.closeWaiting()
}
// 获取轮播信息
function carousel() {
	plus.sqlite.openDatabase({
		name: 'hz',
		path: '_doc/huazhi.db'
	})
	// plus.nativeUI.showWaiting()
	if (offlineOpen === 'off') {
		plus.sqlite.selectSql({
			name: 'hz',
			sql: `select * from home`,
			success: function(e) {
				if (e.length > 0) {
					let data = JSON.parse(e[0].carousel)
					handleCarousel(data)
				}
			}
		})
	} else {

	}
	window.model.post('hzappunlimit/load_advestiment.do', {
		type: 2
	}, function(data) {
		plus.sqlite.selectSql({
			name: 'hz',
			sql: 'select * from home',
			success: function(e) {
				let cont = JSON.stringify(data.data)
				if (e && e.length > 0) {
					plus.sqlite.executeSql({
						name: 'hz',
						sql: `update home set carousel = '${cont}'`
					})
				} else {
					plus.sqlite.executeSql({
						name: 'hz',
						sql: `insert into home (carousel) values ('${cont}')`
					})
				}
			}
		})
		handleCarousel(data.data)
	}, function() {
		plus.nativeUI.closeWaiting()
	})
}
var modulesInfo = null
// 加载页面模块
function getAccessModuleList() {
	// plus.nativeUI.showWaiting()
	plus.sqlite.openDatabase({
		name: 'hz',
		path: '_doc/huazhi.db'
	})
	if (offlineOpen === 'off') {
		plus.sqlite.selectSql({
			name: 'hz',
			sql: 'select * from home',
			success: function(e) {
				if (e && e.length > 0) {
					let userModule = [];
					let data = JSON.parse(e[0].list)
					data.forEach(item => {
						userModule.push(item.res_text);
					});
					localStorage.setItem('userModule', JSON.stringify(userModule));
					renderModule(data)
				}
			}
		})
	}
	window.model.post('hzapp/user/getmodules.do', {}, function(data) {
		plus.sqlite.selectSql({
			name: 'hz',
			sql: 'select * from home',
			success: function(e) {
				let cont = JSON.stringify(data.data)
				if (e && e.length > 0) {
					plus.sqlite.executeSql({
						name: 'hz',
						sql: `update home set list = '${cont}'`
					})
				} else {
					plus.sqlite.executeSql({
						name: 'hz',
						sql: `insert into home (list) values ('${cont}')`
					})
				}
			}
		})
		let userModule = [];
		if (data.offline_toggle == 1) {
			isOn.className = " ";
		}
		data.data.forEach(item => {
			userModule.push(item.res_text);
		});
		localStorage.setItem('userModule', JSON.stringify(userModule));
		modulesInfo = data.alldata
		// 旧渲染函数
		// renderModule(data.data)
		// 新的模块处理方法，内置了权限处理和渲染函数
		processModule(modulesInfo, data.data)
		plus.nativeUI.closeWaiting()
	}, function() {
		plus.nativeUI.closeWaiting()
	})

}



// 新的包含权限处理、渲染的模块处理方法
function processModule(moduleList, accessibleModuleList) {
	moduleList = processPermission(moduleList, accessibleModuleList)
	var status = localStorage.getItem('offline');
	
	if (status === 'on') {
		renderModule2(moduleList)
	} else {
		const offlineModuleList = filterOfflineModuleList(moduleList)
		renderModule2(offlineModuleList)
	}
	
	// 添加底部导航栏点击事件监听，及跳转
	mui('.home-module-item').on('tap', '.item-sub', function(e) {
		// 判断用户是否有权限
		const tappedModuleID = this.getAttribute('id')
		let hasPermission = false
		modulesInfo.forEach(section => {
			section.modules.forEach(module => {
				if (module.res_id.toString() === tappedModuleID) {
					hasPermission = module.accessPermission
				}
			})
		})
		if (!hasPermission) {
			// console.log('access denied')
			mui.toast('没有权限，请联系管理员！',{ duration:700, type:'div' }) 
			return
		}
		let href = this.getAttribute('target-href')
		let page = plus.webview.getWebviewById(href)
		if (page) {
			mui.fire(page, 'homeRefresh', {})
		}
		mui.openWindow({
			url: href,
			id: href,
			extras: {
				pathFrom: this.getAttribute('data-pathfrom'),
			}
	
		})
	})
	
	if (moduleList[3] && moduleList[3].modules[1] && moduleList[3].modules[1].res_url) {
		localStorage.setItem("zhiHuiWuLian", moduleList[3].modules[1].res_url)
	}
	
	// 提交材料繁育
	mui('.home-module-item').on('tap', '.submit-breed', function() {
		const id = this.getAttribute('id')
		let accessPermission = hasPermission(moduleList, 'access', id).result
		if (!accessPermission) {
			mui.toast('没有权限，请联系管理员！',{ duration:700, type:'div' })
			return
		}
		submitBreeding()
	})
	mui('.home-module-item').on('tap', '.submit-variety', function() {
		const id = this.getAttribute('id')
		let accessPermission = hasPermission(moduleList, 'access', id).result
		if (!accessPermission) {
			mui.toast('没有权限，请联系管理员！',{ duration:700, type:'div' })
			return
		}
		submitVariety()
	})
}

// 旧渲染模块
function renderModule(moduleList) {
	var status = localStorage.getItem('offline');
	var modulesStr = '<div class="item home-module-item">'
	if (status === 'on') {
		mui.each(moduleList, function(index, module) {
			modulesStr += '<div class="item-title"><div class="item-name">' + module.res_text + '</div>'
			if (module.res_text === '品种测试') {
				modulesStr += '<div class="item-action yellow submit-variety">上传提交'
				modulesStr += '</div>'
			} else if (module.res_text === '材料繁育') {
				modulesStr += '<div class="item-action green submit-breed">上传提交'
				modulesStr += '</div>'
			}

			modulesStr += '</div>'
			if (module.modules && Array.isArray(module.modules)) {
				modulesStr += '<div class="item-content"><div class="item-content-wrap">'
				mui.each(module.modules, function(moduleIndex, moduleItem) {


					modulesStr += '<div class="item-sub dp-flex-col-xy-center" style="position: relative;"'
					var moduleKey = module.res_text + '-' + moduleItem.res_text
					if (moduleUrl[moduleKey]) {
						modulesStr += ' target-href=' + moduleUrl[moduleKey].href + ' data-pathfrom=' + moduleUrl[moduleKey].pathFrom +
							'>'
						if (offBreedCount.trait > 0 && moduleKey === '材料繁育-性状采集') {
							modulesStr +=
								'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countTrait" style="right: 10px;">' +
								offBreedCount.trait + '</span>'
						}
						if (offBreedCount.hybrid > 0 && moduleKey === '材料繁育-杂交实施') {
							modulesStr +=
								'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countHybrid" style="right: 10px;">' +
								offBreedCount.hybrid + '</span>'
						}
						if (offBreedCount.seed > 0 && moduleKey === '材料繁育-收种执行') {
							modulesStr +=
								'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countSeed" style="right: 10px;">' +
								offBreedCount.seed + '</span>'
						}
						if (offBreedCount.field > 0 && moduleKey === '材料繁育-田间管理') {
							modulesStr +=
								'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countField" style="right: 10px;">' +
								offBreedCount.field + '</span>'
						}
						if (offTraitCount.trait > 0 && moduleKey === '品种测试-性状采集') {
							modulesStr +=
								'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countTraitTrait" style="right: 10px;">' +
								offTraitCount.trait + '</span>'
						}
						if (offTraitCount.field > 0 && moduleKey === '品种测试-田间管理') {
							modulesStr +=
								'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countTraitField" style="right: 10px;">' +
								offTraitCount.field + '</span>'
						}
						if (offTraitCount.eval > 0 && moduleKey === '品种测试-综合评价') {
							modulesStr +=
								'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countTraitEval" style="right: 10px;">' +
								offTraitCount.eval + '</span>'
						}
						modulesStr += '<img src="' + moduleUrl[moduleKey].icon + '" class="item-sub-icon">'
					} else {
						modulesStr += '>'
					}
					modulesStr += '<p class="item-sub-name">' + moduleItem.res_text + '</p></div>'



				})
				modulesStr += '</div>'
			}

		})

	} else {


		mui.each(moduleList, function(index, module) {
			if (module.res_text !== "数据中心" && module.res_text !== "种质库存") {

				modulesStr += '<div class="item-title"><div class="item-name">' + module.res_text + '</div>'
				if (module.res_text === '品种测试') {
					modulesStr += '<div class="item-action yellow submit-variety">上传提交'
					modulesStr += '</div>'
				} else if (module.res_text === '材料繁育') {
					modulesStr += '<div class="item-action green submit-breed">上传提交'
					modulesStr += '</div>'
				}

				modulesStr += '</div>'
				if (module.modules && Array.isArray(module.modules)) {
					modulesStr += '<div class="item-content"><div class="item-content-wrap">'
					mui.each(module.modules, function(moduleIndex, moduleItem) {


						if (moduleItem.res_mode === 'OFFLINE') {
							modulesStr += '<div class="item-sub dp-flex-col-xy-center" style="position: relative;"'
							var moduleKey = module.res_text + '-' + moduleItem.res_text
							if (moduleUrl[moduleKey]) {
								modulesStr += ' target-href=' + moduleUrl[moduleKey].href + ' data-pathfrom=' + moduleUrl[moduleKey].pathFrom +
									'>'
								if (offBreedCount.trait > 0 && moduleKey === '材料繁育-性状采集') {
									modulesStr +=
										'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countTrait" style="right: 10px;">' +
										offBreedCount.trait + '</span>'
								}
								if (offBreedCount.hybrid > 0 && moduleKey === '材料繁育-杂交实施') {
									modulesStr +=
										'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countHybrid" style="right: 10px;">' +
										offBreedCount.hybrid + '</span>'
								}
								if (offBreedCount.seed > 0 && moduleKey === '材料繁育-收种执行') {
									modulesStr +=
										'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countSeed" style="right: 10px;">' +
										offBreedCount.seed + '</span>'
								}
								if (offBreedCount.field > 0 && moduleKey === '材料繁育-田间管理') {
									modulesStr +=
										'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countField" style="right: 10px;">' +
										offBreedCount.field + '</span>'
								}
								if (offTraitCount.trait > 0 && moduleKey === '品种测试-性状采集') {
									modulesStr +=
										'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countTraitTrait" style="right: 10px;">' +
										offTraitCount.trait + '</span>'
								}
								if (offTraitCount.field > 0 && moduleKey === '品种测试-田间管理') {
									modulesStr +=
										'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countTraitField" style="right: 10px;">' +
										offTraitCount.field + '</span>'
								}
								if (offTraitCount.eval > 0 && moduleKey === '品种测试-综合评价') {
									modulesStr +=
										'<span class="mui-badge mui-badge-upload mui-badge-danger" id="countTraitEval" style="right: 10px;">' +
										offTraitCount.eval + '</span>'
								}
								modulesStr += '<img src="' + moduleUrl[moduleKey].icon + '" class="item-sub-icon">'
							} else {
								modulesStr += '>'
							}
							modulesStr += '<p class="item-sub-name">' + moduleItem.res_text + '</p></div>'
						}



					})
					modulesStr += '</div>'
				}

			}
		})

	}
	modulesStr += '</div>'
	document.getElementById('modules').innerHTML = modulesStr

	mui('.home-module-item').on('tap', '.item-sub', function(e) {
		let href = this.getAttribute('target-href')
		let page = plus.webview.getWebviewById(href)
		if (page) {
			mui.fire(page, 'homeRefresh', {})
		}
		mui.openWindow({
			url: href,
			id: href,
			extras: {
				pathFrom: this.getAttribute('data-pathfrom'),
			}

		})
	})
	if (moduleList[3] && moduleList[3].modules[1] && moduleList[3].modules[1].res_url) {
		localStorage.setItem("zhiHuiWuLian", moduleList[3].modules[1].res_url)
	}
	// 提交材料繁育
	mui('.home-module-item').on('tap', '.submit-breed', function() {
		submitBreeding()
	})
	mui('.home-module-item').on('tap', '.submit-variety', function() {
		submitVariety()
	})
}

// 个人信息推送
function pushInfo() {
	plus.geolocation.getCurrentPosition(function(p) {
		var address;
		if (JSON.stringify(p.address) !== "{}") {
			address = (p.address.province || "") + (p.address.city || "") + (p.address.district || "") + (p.address.street ||
				"") + (p.address.poiName || "");
		} else {
			address = "未知"
		}
		window.model.post('hzapp/user/save_user_login_log.do', {
			cid: plus.push.getClientInfo().clientid,
			ipInfo: "0.0.0.0",
			locationInfo: address,
			phoneBrandInfo: plus.device.vendor + " " + plus.device.model,
			phoneSysInfo: plus.os.name + " " + plus.os.version,
		})

	}, function(e) {
		window.model.post('hzapp/user/save_user_login_log.do', {
			cid: plus.push.getClientInfo().clientid,
			ipInfo: "0.0.0.0",
			locationInfo: "未知",
			phonebrandInfo: plus.device.vendor + " " + plus.device.model,
			phoneSysInfo: plus.os.name + " " + plus.os.version,
		})
	});

}
// 模拟登录判断
let isLogin = true;
if (!isLogin) {
	mui.openWindow({
		url: '/html/user/login.html',
		id: '/html/user/login.html',
	})
}

// 轮播图
var gallery = mui('.mui-slider');
gallery.slider({
	interval: 5000
});

// 消息中心
// mui('#testId')[0].addEventListener('tap', function(){
// 	mui.openWindow({
// 		url: '/html/user/login.html',
// 		id: '/html/user/login.html'
// 	})
// })

// 消息中心
mui('#message')[0].addEventListener('tap', function() {
	mui.openWindow({
		url: '../user/message.html',
		id: 'message.html'
	})
})

// 主内容跳转
mui('.item-content-wrap').on('tap', '.item-sub', function(e) {
	mui.openWindow({
		url: this.href,
		id: this.href,
		extras: {
			pathFrom: 'indexWuLian',
		}
	})
})
// 判断是否登录
window.addEventListener('isLogin', function(event) {
	const isLogin = e.detail.isLogin;
	if (isLogin) {
		isLogin();
	}
});

// 用于回退刷新页面
window.addEventListener('refreshPage', function(event) {
	offlineCount()
	getAccessModuleList()
	pushInfo()
})

// 离线开关
document.getElementById("offline").addEventListener("toggle", function(event) {
	getAccessModuleList()
	if (event.detail.isActive) {
		localStorage.setItem('offline', 'on')
		offlineOpen = 'on'
		document.getElementById('statusOnOff').innerHTML = '在线'
	} else {
		localStorage.setItem('offline', 'off')
		offlineOpen = 'off'
		document.getElementById('statusOnOff').innerHTML = '离线'
	}
})

window.addEventListener('refreshOffline', function(event) {
	offlineCount()
	getAccessModuleList()
})

//首页返回键处理
//处理逻辑：1秒内，连续两次按返回键，则退出应用；
var first = null;
mui.back = function() {
	//首次按键，提示‘再按一次退出应用’
	if (!first) {
		first = new Date().getTime();
		mui.toast('再按一次退出应用', {
			type: 'div',
			duration: 'long'
		});
		setTimeout(function() {
			first = null;
		}, 1000);
	} else {
		if (new Date().getTime() - first < 1000) {
			plus.runtime.quit();
		}
	}
};
