// 监听plusready事件  
document.addEventListener("plusready", function(){
	// 监听语音识别事件
	plus.speech.addEventListener("start", function(){
		text = null;
	}, false);
	plus.speech.addEventListener("recognition", function(e){
		text += e.result;
	}, false);
	plus.speech.addEventListener("end", function(){
		alert("Success: "+text);
	}, false);
}, false );

var text=null;

//开始语音
function startRecognize(){
	var options = {
		continue: false, // 是否采用持续模式
		engine: 'baidu', // 语音识别引擎标识
		//engine: 'iFly', // 语音识别引擎标识
		lang: 'zh-cn', // 语音识别引擎的语言
		nbest: 3, // 指定识别结果识别包括多候选结果
		punctuation: false, // 识别结果中是否包含标点符号
		timeout: 1000, // 语音识别超时时间
		userInterface: true //识别时是否显示用户界面
	}
	text = "";
	alert("开始语音识别：");
	plus.speech.startRecognize(options, function(s){
		text += s;
	}, function(e){
		alert("语音识别失败："+e.message);
	});
}

//结束语音
function stopRecognize(){
	plus.speech.stopRecognize();
}

