mui.init()
var server = localStorage.getItem('server')
document.getElementById('server').value = server.name
// 是否记住密码
mui('#remeberPsw')[0].addEventListener('tap', function(e) {
	let imgEl = e.currentTarget.firstElementChild;
	let choose = '../../images/choose.png';
	let chooseActive = '../../images/choose-g.png';
	let myChoose = null;
	imgEl.getAttribute('src') === choose ? myChoose = chooseActive : myChoose = choose;
	imgEl.setAttribute('src', myChoose);
})

// 服务器选择
mui('#ipSetting')[0].addEventListener('tap', function(e) {
	mui.openWindow({
		url: 'server-setup.html',
		id: 'server-setup.html'
	});
})

// 忘记密码
mui('#forgetPsw')[0].addEventListener('tap', function(e) {
	mui.openWindow({
		url: 'forget-pwd.html',
		id: 'forget-pwd.html'
	});
})

// 注册账号
mui('#register')[0].addEventListener('tap', function(e) {
	mui.openWindow({
		url: 'register.html',
		id: 'register.html'
	});
})

// 获取用户信息
function getUserInfo() {
	window.model.form('hzapp/user/load_user_info.do', {}, function(res) {
		let data = res.data;
		switch (res.code) {
			case 1:
				plus.storage.setItem("UserInfo", JSON.stringify(data))
				localStorage.setItem("UserInfo", JSON.stringify(data))
				jumpHome()
				break;
			default:
				plus.nativeUI.closeWaiting();
				break;
		}
	}, function(error) {
		mui.toast(error.message, {
			type: 'div',
			duration: 'long'
		})
		plus.nativeUI.closeWaiting();
	})
}

// 跳转首页
function jumpHome() {
	mui.fire(plus.webview.getWebviewById('html/main/home.html'), 'refreshPage')
	mui.fire(plus.webview.getWebviewById('html/main/my.html'), 'initInfo') //跳转页面重新渲染个人信息
	setTimeout(function() {
		// mui.back()
		mui.openWindow({
			url: 'index.html',
			id: 'index.html',
			extras: {}
		})
	}, 150)
}
// 登录账号
mui('#login')[0].addEventListener('tap', function(e) {
	//const homeId = plus.webview.getWebviewById( 'index.html' );
	// 		mui.fire(homeId,'isLogin',{isLogin: true})
	// 	let server = JSON.parse(plus.storage.getItem("server"));
	// let serverList = JSON.parse(plus.storage.getItem('serverList'));

	// 1. 校验
	var username = mui('#username')[0].value
	if (!username) {
		plus.nativeUI.toast("请输入用户名!");
		return
	}
	var password = mui('#password')[0].value
	if (!password) {
		plus.nativeUI.toast("请输入密码!");
		return
	}
	// var serverData = serverList.map((item)=>{
	// 	if(item.name == server.name){
	// 		item.username = username;
	// 		item.password = password
	// 		console.log(JSON.stringify(item));
	// 		return item
	// 	}
	// 	return item
	// 	
	// })
	// console.log(JSON.stringify(serverData));
	// 是否记住密码
	var loginInfo = plus.storage.getItem('login')
	var loginList = []
	if (loginInfo) {
		loginList = JSON.parse(loginInfo)
		if (!Array.isArray(loginList)) {
			loginList = []
		}
	}
	if (mui('#remeberPsw img')[0].src.indexOf('choose-g.png') !== -1) {
		let isReplace = false
		for (let i = 0; i < loginList.length; i++) {
			const loginItem = loginList[i];
			if (loginItem.server === mui('#server')[0].value) {
				loginItem.username = username
				loginItem.password = password
				isReplace = true
			}
		}
		if (!isReplace) {
			loginList.push({
				server: mui('#server')[0].value,
				username: username,
				password: password
			})
		}
		plus.storage.setItem("login", JSON.stringify(loginList))
	} else {
		if (loginList.length > 0) {
			var loginRemain = []
			for (let i = 0; i < loginList.length; i++) {
				const loginItem = loginList[i];
				if (!(loginItem.server === mui('#server')[0].value && username === loginItem.username)) {
					loginRemain.push(loginItem)
				}
			}
			plus.storage.setItem("login", JSON.stringify(loginRemain))
		}
	}
	plus.nativeUI.showWaiting();
	window.model.postSenc10('oauth/token.do', {
		'client_id': 'gmap_4D_client',
		'client_secret': 'sCPsan2Z',
		'grant_type': 'password',
		'username': username,
		'password': password
	}, function(data) {

		// 保存cookie
		plus.nativeUI.closeWaiting();
		localStorage.setItem('token', data.access_token)
		localStorage.setItem('expires', (new Date().getTime() + parseInt(data.expires_in) * 1000 - 60000) + '')
		getUserInfo()

	}, function() {
		//mui.toast( '账号或密码错误!' )
		plus.nativeUI.closeWaiting();
		mui.confirm('服务器选择，账号或密码错误!', '登录失败', ['取消', '确认'], function(e) {
			if (e.index == 1) {}
		}, 'div')
	})
})

//版本号
document.addEventListener('plusready', onPlusReady, false);

// 设置版本
function onPlusReady() {
	document.getElementById('versionCode').innerHTML = plus.runtime.version;
}


mui.plusReady(function() {
	plus.nativeUI.closeWaiting();
	// 1. 创建表
	plus.sqlite.openDatabase({
		name: 'hz',
		path: '_doc/huazhi.db',
		success: function(e) {},
		fail: function(e) {}
	})
	// 设置默认服务器
	var server = localStorage.getItem('server')
	var bt = localStorage.getItem('breedTable')
	var bv = localStorage.getItem('breedVariety')
	if (bt !== 'on') {
		createBreedTable()
	}
	if (bv !== 'on') {
		createVarietyTable()
	}
	// createBreedTable()
	// createVarietyTable()
	if (!server) {
		// www.wisebreeding.com  443
		var serverDef = {
			name: '华智育种云平台',
			protocol: 'https',
			ip: 'www.wisebreeding.com',
			port: '443'
		}
		localStorage.setItem('server', JSON.stringify(serverDef))
		var sl = []
		sl.push(serverDef)
		// sl.push({
		// 	name: '华智',
		// 	protocol: 'http',
		// 	ip: '222.240.147.230',
		// 	catalog: 'bioplatform-qa',
		// 	port: '8081'
		// })
		plus.storage.setItem('serverList', JSON.stringify(sl))
		plus.storage.setItem('defaultServer', 'yes')
		document.getElementById('server').value = serverDef.name
	} else {
		document.getElementById('server').value = JSON.parse(server).name
	}

	var loginInfo = plus.storage.getItem('login')
	if (loginInfo) {
		loginInfo = JSON.parse(loginInfo)
		if (!Array.isArray(loginInfo)) {
			loginInfo = []
		}
		for (let i = 0; i < loginInfo.length; i++) {
			const loginItem = loginInfo[i];
			if (loginItem.server === mui('#server')[0].value) {
				mui('#username')[0].value = loginItem.username
				mui('#password')[0].value = loginItem.password
			}
		}
	}

	// 初始化数据库
	plus.sqlite.openDatabase({
		name: 'hz',
		path: '_doc/huazhi.db'
	})
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists home (list text, carousel text)'
	})

	//语音数据表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists speech_trait_data (id int, field_id int, field_no text, trait_id int, trait_name text, trait_value text, trait_seq int, trait_time text, record_path text, modifier text, modify_time text, status text, original_text text, result_text text)'
	})
	if (window.openDatabase) {
		localStorage.setItem('offline', 'on')
	} else {
		localStorage.setItem('offline', 'off')
	}
	
	//默认开启在线开关
	localStorage.setItem('offline', 'on')

	// 创建首页view
	plus.webview.create({
		url: 'index.html',
		id: 'index.html',
		styles: {},
		extras: {}
	})
	plus.webview.create({
		url: 'html/main/home.html',
		id: 'html/main/home.html',
		styles: {},
		extras: {}
	})

})

// 创建材料繁育表
function createBreedTable() {
	// 创建性状数据表
	let sqlBreedTraitData =
		`create table if not exists breed_trait_data (breed_plan_id int, subitem_germplasm_id int, trait_id int, block_row int, block_column int,`
	sqlBreedTraitData +=
		`strait_number text, trait_value text, trait_seq int, trait_time text, modifier text, modify_time text, status int, decimal_digit int, field_no text, germplasm_name text, ranges text, trait_name text, trait_type int)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedTraitData
	})
	// 性状图片表
	sqlBreedTraitImage =
		`create table if not exists breed_trait_image (breed_plan_id int, subitem_germplasm_id int, trait_id int, block_row int, block_column int, strait_number text, trait_seq int,`
	sqlBreedTraitImage +=
		`trait_time text, image_path text, file_name text, file_size text, remark text, modifier text, modify_time text, status int)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedTraitImage
	})
	// 田间管理表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `create table if not exists breed_piece_data (breed_plan_id int, plant_piece_id int, piece_id int, property_name text, value text, delete_flag int, modifier text, modify_time text, status int)`
	})
	// 杂交配对表
	let sqlBreedHybridMatch =
		`create table if not exists breed_hybrid_match (breed_plan_id int, match_no text, male_subitem_germplasm_id int, male_subitem_id int, male_block_row int, male_block_column int, `
	sqlBreedHybridMatch +=
		`male_strain_no text, male_heading_time text, female_subitem_germplasm_id int, female_subitem_id int, female_block_row int, female_block_column int, female_strain_no text, belong_project_id int, `
	sqlBreedHybridMatch += `female_heading_time text, hybrid_status int, status int)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedHybridMatch
	})
	// 杂交实施表
	let sqlBreedHybridImplement =
		`create table if not exists breed_hybrid_implement (breed_plan_id int, match_no text, match_operate_no text, male_subitem_germplasm_id int, male_block_row int, `
	sqlBreedHybridImplement +=
		`male_block_column int, male_strain_no text, operate_time text, creator text, female_subitem_germplasm_id int, female_block_row int, `
	sqlBreedHybridImplement +=
		`female_block_column int, female_strain_no text, female_operate_time text, female_creator text, operate_desc text, operate_type_id int, operate_status int, status int)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedHybridImplement
	})
	// 收种执行表
	let sqlBreedCollectExecution =
		`create table if not exists breed_collect_execution (breed_plan_id int, subitem_germplasm_id int, plan_block_row int, plan_block_column int, plan_collect_number text, actual_block_row int, `
	sqlBreedCollectExecution +=
		`actual_block_column int, actual_collect_number text, collect_type text, collect_time text, unit text, remark text, match_no text, match_operate_no text, verify_flag int, collect_status text, `
	sqlBreedCollectExecution += `modifier text, modify_time text, status int)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedCollectExecution
	})

	// 育种计划列表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `create table if not exists breed_plans (breed_plan_id int, list text)`
	})

	// 育种性状表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `create table if not exists breed_traits (trait_code text, order_seq text, remark text, trait_id int, breed_plan_id int, ranges text, trait_group text, unit text, trait_type text, max_value int, trait_name text, decimal_digit text, min_value int)`
	})

	// 育种小区表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `create table if not exists breed_fields (breed_plan_id int, subitem_germplasm_id int, subitem_name text, field_no text, project_name text, subitem_id int, germplasm_name text, project_id int, plant_col int, plant_row int)`
	})

	// 杂交配对表 1
	let sqlBreedHybridMatches =
		`create table if not exists breed_hybrid_matches (breed_plan_id int, male_germplasm_name text, female_field_no text, match_no text, female_germplasm_name text, hybrid_status int, female_subitem_germplasm_id int, `
	sqlBreedHybridMatches +=
		`male_subitem_germplasm_id int, male_field_no text, male_heading_time text, female_heading_time text, status int, delete_flag int, belong_project_id int, male_subitem_id int, male_block_row int, male_block_column int, `
	sqlBreedHybridMatches +=
		`male_strain_no text, female_subitem_id int, female_block_row int, female_block_column int, female_strain_no text)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedHybridMatches
	})
	// 杂交实施表 1
	let sqlBreedHybridImplements =
		`create table if not exists breed_hybrid_implementes (breed_plan_id int, operate_desc text, female_field_no text, male_germplasm_name text, male_block_column int, female_operate_time text, `
	sqlBreedHybridImplements +=
		`match_operate_no text, female_subitem_germplasm_id int, female_block_row int, operate_status int, male_subitem_germplasm_id int, female_block_column int, `
	sqlBreedHybridImplements +=
		`male_field_no text, creator text, operate_time text, match_no text, male_block_row int, female_germplasm_name text, female_creator text, male_strain_no text, female_strain_no text, delete_flag int, status int)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedHybridImplements
	})
	// 杂交实施图片表
	let sqlBreedHybridImplementsImages =
		`create table if not exists breed_hybrid_implementes_images (breed_plan_id int, match_no text, match_operate_no text, image_path text, file_name text, file_size text, remark text, modifier text, modify_time text, status int)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedHybridImplementsImages
	})
	// 获取育种计划的收种表 1
	let sqlBreedCollectExecute =
		`create table if not exists breed_collect_execute (breed_plan_id int, plan_block_row int, plan_block_column int, subitem_germplasm_id int, plan_collect_number text, `
	sqlBreedCollectExecute += `subitem_name text, project_name text, actual_block_column text, remark text, `
	sqlBreedCollectExecute +=
		`actual_collect_number text, match_operate_no text, unit text, field_no text, match_no text, `
	sqlBreedCollectExecute +=
		`collect_type text, actual_block_row text, collect_status text, germplasm_name text, verify_flag text, collect_time text, status int, is_new int)`
	plus.sqlite.executeSql({
		name: 'hz',
		sql: sqlBreedCollectExecute
	})

	// 田间管理数据表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `create table if not exists breed_pieces (breed_plan_id int, list text)`
	})

	// 田间管理配置数据表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: `create table if not exists breed_pieces_config (breed_plan_id int, list text)`
	})

	// 任务表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists breed_tasks (breed_plan_id int, trait_code text, begin_time text, remark text, status int, end_time text, trait_id int, task_name text, task_id int, trait_name text)'
	})

	// 任务详情表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists breed_task_details (breed_plan_id int, plant_col int, subitem_germplasm_id int, field_no text, plant_row int)'
	})

	// 杂交实施图片表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists breed_hybrid_image (breed_plan_id int, match_no text, match_operate_no text, image_path text, file_name text, file_size int, remark text, modifier text, modify_time text, status int)'
	})
	localStorage.setItem('breedTable', 'on')
}

// 创建品种测试表格
function createVarietyTable() {
	// 创建性状数据表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_trait_data (test_id int, test_point_id int, repeat_seq int, field_id text, group_code text, trait_id int, value text, data_seq int, random_id int, delete_flag int, status int, last_commit_time text, last_commit_userid text)'
	})
	// 性状图片表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_trait_image (test_id int, test_point_id int, trait_id int, group_code text, field_id text, data_seq int, image_path text, delete_flag int, random_id int, remark text, recoder text, recode_time text, status int)'
	})
	// 田间管理表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_field_data (test_id int, test_point_id int, property_name text, value text, delete_flag int, status int, last_commit_time text, last_commit_userid text)'
	})
	// 品种评价表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_evaluation_data (test_id int, test_point_id int, field_id text, group_code text, level_id text, advantage1 text, advantage2 text, advantage3 text, weakpoint1 text, weakpoint2 text, weakpoint3 text, remark text, status int, delete_flag int, last_commit_userid text, last_commit_time text)'
	})
	// 试验与测试点信息表 1
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_testpoint_info (test_name text, test_id text, repeats text, test_point_name text, test_point_id text, list text)'
	})
	// 性状列表表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_traits (order_seq int, trait_code text, trait_id int, ranges text, trait_type text, trait_group text, trait_name text, test_id int, test_point_id int, trait_status text, max_value int, min_value int, decimal_digit text, unit text, remark text)'
	})
	// 试验性状采集配置表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_traits_config (org_id int, crop_id int, test_id int, test_type text, trait_id int, repeat_seq int, data_seq int, delete_flag int, coll_type int, test_point_id int)'
	})
	// 试验测试点小区排列表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_fields (assort_column int, repeat_seq int, group_code text, test_point_id int, assort_row text, field_id text, test_id int, random_id int)'
	})
	// 获取获取试验品种数据表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_varietys (group_code text, field_Id text, seq int, test_id int)'
	})
	// 实验列表信息表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_tasks (test_name text, test_id text, repeats text, test_point_name text, test_point_id text, list text)'
	})
	// 田间管理配置数据表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists field_config (test_name text, test_id text, repeats text, test_point_name text, test_point_id text, list text)'
	})
	// 试验手册数据表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_handbook (test_name text, test_id text, repeats text, test_point_name text, test_point_id text, list text)'
	})
	// 综合评价数据表
	plus.sqlite.executeSql({
		name: 'hz',
		sql: 'create table if not exists test_evaluation (test_name text, test_id text, repeats text, test_point_name text, test_point_id text, list text)'
	})
	localStorage.setItem('breedTable', 'on')
}

// 存储服务器设置
window.addEventListener('serServerInfo', function(event) {
	localStorage.setItem('server', JSON.stringify(event.detail.server))
	document.getElementById('server').value = event.detail.server.name
})
