var testPoint = JSON.parse(localStorage.getItem('testPoint'));
(function(mui, w, document, $) {
	mui.ready(function() {
		mui.init({});
		var offlineOpen = localStorage.getItem('offline')

		let dropListValue = [];
		let dataObj = {}; //每个的评价数据
		var tempMaps = []
		var maps = []
		var fireHome = false
		
		let groups = null
		let currentGroup = null

		//保存
		const saveData = function() {
			mui('#saveIcon')[0].addEventListener('tap', function() {
				let dataArr = [dataObj];
				let status = 1
				if (offlineOpen === 'off') {
					status = 0
				}
				console.log(dataObj)
				plus.sqlite.selectSql({
					name: 'hz',
					sql: `select * from test_evaluation_data where test_id = ${testPoint.test_id} and test_point_id = ${testPoint.test_point_id} and level_id = '${dataObj.levelId}'`,
					success: function(e) {
						if (e.length > 0) {
							let sql =
								`update test_evaluation_data set status = ${status}, advantage1 = '${dataObj.advantage1}', advantage2 = '${dataObj.advantage2}', advantage3 = '${dataObj.advantage3}', `
							sql +=
								`weakpoint1 = '${dataObj.weakpoint1}', weakpoint2 = '${dataObj.weakpoint2}', weakpoint3 = '${dataObj.weakpoint3}' `
							sql +=
								`where test_id = ${testPoint.test_id} and test_point_id = ${testPoint.test_point_id} and level_id = '${dataObj.levelId}'`
							plus.sqlite.executeSql({
								name: 'hz',
								sql: sql,
								success: function(e) {
									if (offlineOpen === 'off') {
										mui.toast('保存成功！', {
											type: 'div',
											duration: 'long'
										})
									}
								}
							})
						} else {
							let sql =
								`insert into test_evaluation_data values (${testPoint.test_id}, ${testPoint.test_point_id}, '${dataObj.field_id}', '${dataObj.group_code}', `
							sql +=
								`'${dataObj.levelId}', '${dataObj.advantage1}', '${dataObj.advantage2}', '${dataObj.advantage3}', '${dataObj.weakpoint1}', '${dataObj.weakpoint2}', '${dataObj.weakpoint3}', `
							sql += `'', ${status}, 0, '', '')`
							plus.sqlite.executeSql({
								name: 'hz',
								sql: sql,
								success: function(e) {
									if (offlineOpen === 'off') {
										mui.toast('保存成功！', {
											type: 'div',
											duration: 'long'
										})
									}
								}
							})
						}
					},
					fail: function(e) {
						console.log(e)
					}
				})
				if (offlineOpen !== 'off') {
					plus.nativeUI.showWaiting();
					w.model.post('hzapp/fieldtest/save_cell_evalution.do', {
						data: JSON.stringify(dataArr)
					}, function(data) {
						switch (data.code) {
							case 1:
								plus.nativeUI.closeWaiting();
								mui.toast('保存成功', {
									type: 'div',
									duration: 'long'
								});
								break;
							default:
								mui.toast('失败', {
									type: 'div',
									duration: 'long'
								});
								plus.nativeUI.closeWaiting();
								break;
						}
					}, function(error) {
						mui.toast(error.message, {
							type: 'div',
							duration: 'long'
						});
						plus.nativeUI.closeWaiting();
					})
				}
			});
		};

		//选择等级
		const selectLevel = function() {

		};

		//显示优点
		const showAdv = function(res) {
			mui('#moreAdv')[0].addEventListener('tap', function() {
				let typeStr = 'advantage';
				let html = '';
				for (let htmlKey in res.advantages) {
					html +=
						`<li class=''><p><span>${res.advantages[htmlKey].referenceName}</span><input name="pointAdv" type="checkbox" /></p></li>`;
				};
				$('.pop-adv .pop-ul').html(html);
				$('.pop-adv .point-title').html('主要优点');
				const height = parseInt($('.pop-adv .pop-content').height() / 2);
				$('.pop-adv').css({
					'display': 'block'
				});
				$('.pop-adv .pop-content').css({
					'margin-top': -height
				});
				dealPointData(typeStr); //选中优缺点
				onOkBtn(typeStr); //点击确定按钮
			});
		};

		//显示缺点
		const showWeak = function(res) {
			mui('#moreWeak')[0].addEventListener('tap', function() {
				let typeStr = 'weakpoint';
				let html = '';
				for (let htmlKey in res.weakpoints) {
					html +=
						`<li class=''><p><span>${res.weakpoints[htmlKey].referenceName}</span><input name="pointWeak" type="checkbox" /></p></li>`;
				};
				$('.pop-weak .pop-ul').html(html);
				$('.pop-weak .point-title').html('主要缺点');
				const height = parseInt($('.pop-weak .pop-content').height() / 2);
				$('.pop-weak').css({
					'display': 'block'
				});
				$('.pop-weak .pop-content').css({
					'margin-top': -150
				});
				dealPointData(typeStr); //选中优缺点
				onOkBtn(typeStr); //点击确定按钮
			});
		};

		//选中优缺点
		const dealPointData = function(typeStr) {
			mui('.pop-point').on('change', 'input', function() {
				let value = this.checked ? 1 : 0;
				if (value) {
					$(this).parent().parent().addClass('active');
				} else {
					$(this).parent().parent().removeClass('active');
				}
			});
		};

		//处理输入的值是否有空格，需分点
		const dealOtherValue = function(otherValue) {
			otherValue = otherValue.replace(/\s+/g, ' ');
			let otherValueArr = otherValue.split(' ');
			return otherValueArr;
		};

		//点击确定按钮
		const onOkBtn = function(typeStr) {
			//优点
			mui('.pop-adv .btn')[0].addEventListener('tap', function() {
				console.log(123)
				let evalPointData = [];
				//处理多选
				$("input[name='pointAdv']:checked").each(function() {
					evalPointData.push($(this).parent().find('span').html());
				});
				//处理输入
				const otherValue = $.trim($('.otherPoint').val());
				if (otherValue) {
					evalPointData = evalPointData.concat(dealOtherValue(otherValue)); //处理输入的值是否有空格，需分点
					//evalPointData.push(otherValue);
				};
				//判断不超过三个
				if (evalPointData.length < 4) {
					$('#advantageList').html(dealDefaultEvaluate(evalPointData));
					//数据
					for (let i = 0; i < 3; i++) {
						let advantage = 'advantage' + (i + 1);
						if (evalPointData.length > i) {
							dataObj[advantage] = evalPointData[i];
						} else {
							dataObj[advantage] = ''
						}
					}
					$('.pop-adv').css({
						'display': 'none'
					});
				} else {
					mui.toast('加上所填写的最多输入三个', {
						duration: 'long',
						type: 'div'
					});
				}
			});
			//缺点
			mui('.pop-weak .btn')[0].addEventListener('tap', function() {
				let evalPointData = [];
				//处理多选
				$("input[name='pointWeak']:checked").each(function() {
					evalPointData.push($(this).parent().find('span').html());
				});
				//处理输入
				const otherValue = $.trim($('.other-point').val());
				if (otherValue) {
					//evalPointData.push(otherValue);
					evalPointData = evalPointData.concat(dealOtherValue(otherValue)); //处理输入的值是否有空格，需分点
				};
				//判断不超过三个
				if (evalPointData.length < 4) {
					$('#weakpointList').html(dealDefaultEvaluate(evalPointData));
					//数据
					for (let i = 0; i < 3; i++) {
						let weakpoint = 'weakpoint' + (i + 1);
						if (evalPointData.length > i) {
							dataObj[weakpoint] = evalPointData[i];
						} else {
							dataObj[weakpoint] = ''
						}
					}
					$('.pop-weak').css({
						'display': 'none'
					});
				} else {
					mui.toast('其他以及选中项不超过三个', {
						duration: 'long',
						type: 'div'
					});
				}
			});
		};

		//控制更多优缺点弹窗显示
		const controlMorePop = function(res) {
			showAdv(res); //优点
			showWeak(res); //缺点
			//关闭
			mui('.mask')[0].addEventListener('tap', function() {
				$('.pop-wrap').css({
					'display': 'none'
				});
			});
		};

		//切换tab组别
		const onChangeTab = function() {
			mui('#group').on('tap', 'li', function() {
				mui('#fieldDown')[0].removeEventListener('tap', dropFieldDownFun);
				$(this).addClass('active').siblings().removeClass('active');
				currentGroup = groups[$(this).data('tabidx')]
				getFieldData($(this).data('tabidx')); //获取测试点小区分布
			});
		};

		//小区下拉方法
		const dropFieldDownFun = function() {
			var dropPicker = new mui.PopPicker();
			dropPicker.setData(dropListValue);
			dropPicker.show(function(items) {
				document.getElementById('fieldNum').innerText = items[0];
				//返回 false 可以阻止选择框的关闭
				//return false;
				const fieldId = items[0];
				getEvaluateData(fieldId, dataObj.group_code); //获取综合评价数据
				getTraitList(fieldId, currentGroup.group_name) // 获取性状数据
			});
		};

		//点击小区分组下拉
		const onDropFieldDown = function(dropListValue) {
			mui('#fieldDown')[0].addEventListener('tap', dropFieldDownFun)
		};

		//处理默认优缺点的数据
		const dealDefaultEvaluate = function(pointArr) {
			let html = '';
			for (let i = 0; i < pointArr.length; i++) {
				if (pointArr[i]) {
					html += '<span class="tag-theme">' + pointArr[i] + '</span>';
				}
			}
			return html;
		};

		/*获取更多优缺点数据*/
		const getMoreData = function() {
			if (offlineOpen === 'off') {
				plus.sqlite.selectSql({
					name: 'hz',
					sql: `select * from test_evaluation where test_id = ${testPoint.test_id} and test_point_id = ${testPoint.test_point_id}`,
					success: function(e) {
						if (e.length > 0) {
							controlMorePop(JSON.parse(e[0].list))
						}
					}
				})
			} else {
				w.model.post('hzapp/fieldtest/load_evalution_config.do', {
					test_id: testPoint.test_id
				}, function(data) {
					controlMorePop(data);
				})
			}
		};

		// 处理小区数据
		function handleFieldDrop(data, tabIdx) {
			dropListValue = data[tabIdx].varietys;
			dropListValue = dropListValue.map((item, idx, arr) => {
				return item.field_Id;
			});
			onDropFieldDown(dropListValue);
		}

		/*获取小区数据（下拉）*/
		const getFieldDropData = function(tabIdx, fieldId) {
			if (offlineOpen === 'off') {
				plus.sqlite.selectSql({
					name: 'hz',
					sql: `select * from test_varietys where test_id = ${testPoint.test_id}`,
					success: function(e) {
						let groupPos = {}
						let ret = []
						if (e.length > 0) {
							e.forEach(item => {
								if (groupPos[item.group_code] === undefined) {
									groupPos[item.group_code] = Object.keys(groupPos).length
									ret.push({
										varietys: [item],
										group_name: item.group_code
									})
								} else {
									ret[groupPos[item.group_code]].varietys.push(item)
								}
							})
							handleFieldDrop(ret, tabIdx)
						}
					}
				})
			} else {
				w.model.post('hzapp/fieldtest/load_test_varietys.do', {
					test_id: testPoint.test_id,
					test_point_id: testPoint.test_point_id,
				}, function(data) {
					handleFieldDrop(data.data, tabIdx)
					//const fieldId=res[tabIdx][1][0].field_id;
					//getEvaluateData(testPoint,fieldId);//获取综合评价数据
				})
			}
		};

		// 处理综合评价数据
		function handleEvaluate(data) {
			const res = data[0];
			$('#groupNum').html(res.group_code);
			$('#fieldNum').html(res.field_id);
			$('#levelId').val(res.level_id);

			let advArr = [res.advantage1, res.advantage2, res.advantage3];
			let weakArr = [res.weakpoint1, res.weakpoint2, res.weakpoint3];
			$('#advantageList').html(dealDefaultEvaluate(advArr));
			$('#weakpointList').html(dealDefaultEvaluate(weakArr));

			//数据
			dataObj = {
				test_id: testPoint.test_id,
				test_point_id: testPoint.test_point_id,
				field_id: res.field_id,
				group_code: res.group_code,
				levelId: res.level_id,
				advantage1: res.advantage1,
				advantage2: res.advantage2,
				advantage3: res.advantage3,
				weakpoint1: res.weakpoint1,
				weakpoint2: res.weakpoint2,
				weakpoint3: res.weakpoint3,
			};
		}

		/*获取综合评价数据*/
		const getEvaluateData = function(fieldId, group_name) {
			if (offlineOpen === 'off') {
				plus.sqlite.selectSql({
					name: 'hz',
					sql: `select * from test_evaluation_data where test_id = ${testPoint.test_id} and test_point_id = ${testPoint.test_point_id} and field_id = '${fieldId}'`,
					success: function(e) {
						if (e.length > 0) {
							handleEvaluate(e)
						} else {
							handleEvaluate([{
								field_id: fieldId,
								group_code: group_name,
								level_id: '',
								advantage1: '',
								advantage2: '',
								advantage3: '',
								weakpoint1: '',
								weakpoint2: '',
								weakpoint3: ''
							}])
						}
					}
				})
			} else {
				w.model.post('hzapp/fieldtest/load_cell_evalution.do', {
					test_id: testPoint.test_id,
					test_point_id: testPoint.test_point_id,
					field_id: fieldId
				}, function(data) {
					handleEvaluate(data.data)
				})
			}
		};

		// 小区分布处理
		function handleField(data, tabIdx) {
			let html = '';
			const res = data;
			groups = data
			currentGroup = data[tabIdx]
			for (let htmlKey in res) {
				if (htmlKey == tabIdx) {
					html +=
						`<li class="group-item active" data-tabidx=\'${htmlKey}\'><span>${res[htmlKey].group_name}组</span></li>`;
				} else {
					html += `<li class="group-item" data-tabidx=\'${htmlKey}\'><span>${res[htmlKey].group_name}组</span></li>`;
				}
			};
			$('#group').html(html);
			//tab的布局
			if (res.length < 7) {
				$('#group').addClass("dp-flex-x-center");
				$('#group .group-item').addClass('flex-1 text-center ');
			}
			const fieldId = res[tabIdx][1][0].field_id;
			getEvaluateData(fieldId, data[tabIdx].group_name); //获取综合评价数据
			getFieldDropData(tabIdx, fieldId); //获取小区数据
			getMoreData(); //获取更多优缺点数据
			getTraitList(fieldId, res[tabIdx].group_name); //获取性状列表
		}

		// 获取离线数据
		function getOfflineRepeats(tabIdx) {
			plus.sqlite.selectSql({
				name: 'hz',
				sql: `select * from test_fields where test_id = ${testPoint.test_id} and test_point_id = ${testPoint.test_point_id}`,
				success: function(e) {
					tempMaps.forEach((group) => {
						var groupCode = group.group_name
						for (const key in group) {
							if (group.hasOwnProperty(key)) {
								const repeat = group[key];
								if (Array.isArray(repeat)) {
									e.forEach(eItem => {
										if (eItem.group_code === groupCode && (eItem.repeat_seq + '') === key) {
											repeat.push(eItem)
										}
									})
								}
							}
						}
					})
					maps = tempMaps
					handleField(maps, tabIdx)
					plus.nativeUI.closeWaiting()
				},
				fail: function(e) {
					plus.nativeUI.closeWaiting()
				}
			})
		}

		/*获取测试点小区分布*/
		const getFieldData = function(tabIdx) {
			if (offlineOpen === 'off') {
				plus.sqlite.selectSql({
					name: 'hz',
					sql: `select group_code, repeat_seq from test_fields where test_id = ${testPoint.test_id} and test_point_id = ${testPoint.test_point_id} GROUP BY group_code, repeat_seq ORDER BY group_code, repeat_seq ASC`,
					success: function(e) {
						tempMaps = []
						e.forEach(item => {
							if (tempMaps.length === 0) {
								tempMaps = [{
									group_name: item.group_code
								}]
								tempMaps[0][item.repeat_seq] = []
							} else {
								let existsPos = -1
								for (let i = 0; i < tempMaps.length; i++) {
									const offlineItem = tempMaps[i]
									if (offlineItem.group_name === item.group_code) {
										existsPos = i
										break
									}
								}
								if (existsPos === -1) {
									tempMaps.push({
										group_name: item.group_code
									})
									tempMaps[tempMaps.length - 1][item.repeat_seq] = []
								} else {
									tempMaps[existsPos][item.repeat_seq] = []
								}
							}
						})
						getOfflineRepeats(tabIdx)
					},
					fail: function(e) {
						plus.nativeUI.closeWaiting()
					}
				})
			} else {
				w.model.post('hzapp/fieldtest/load_test_fields.do', {
					test_id: testPoint.test_id,
					test_point_id: testPoint.test_point_id,
				}, function(data) {
					handleField(data.data, tabIdx)
				})
			}
		};

		/*获取性状列表*/
		const getTraitList = function(fieldId, groupCode) {
			if (offlineOpen === 'off') {} else {
				w.model.post('hzapp/fieldtest/load_test_trait_analysis_data.do', {
					test_id: testPoint.test_id,
					test_point_id: testPoint.test_point_id,
					field_id: fieldId,
					group_code: groupCode
				}, function(data) {
					let html = '';
					const res = data.data;
					for (let htmlKey in res) {
						html +=
							`<li class="dp-flex-xy-center ">
									<span class="flet">${res[htmlKey].trait_name}</span>
									<span class="middle">${res[htmlKey].value} ${res[htmlKey].unit}</span>
									<span class="right">${res[htmlKey].rank}</span>
								</li>`;
					};
					$('.trait-wrap ul').html(html);

				})
			}
		};

		// 标题滚动
		function scroll() {
			var info = document.getElementById('info');
			var div = info.getElementsByTagName('div')[0];
			var p = document.getElementsByTagName('p')[0];
			var p_w = p.offsetWidth;
			var div_w = info.offsetWidth;
			if (div_w > p_w) {
				return false;
			}
			div.innerHTML += div.innerHTML;

			titleInterval = setInterval(function() {
				if (p_w <= info.scrollLeft) {
					info.scrollLeft -= p_w;
				} else {
					info.scrollLeft++;
				}
			}, 30);
		}
		// 设置标题内容
		var isSetTitle = false

		function setTitle(title) {
			document.getElementById('testDot').innerHTML = title
			if (!isSetTitle) {
				scroll();
				isSetTitle = true
			} else {
				[].forEach.call(document.getElementsByClassName('testDot'), function(item) {
					item.innerHTML = title
				})
			}
		}

		mui.plusReady(function() {
			plus.sqlite.openDatabase({
				name: 'hz',
				path: '_doc/huazhi.db'
			})
			if (!fireHome) {
				getTestDotList();
			}
			fireHome = false
		});

		//  获取试验测试点列表
		function getTestDotList() {
			if (offlineOpen === 'off') {
				plus.sqlite.selectSql({
					name: 'hz',
					sql: `select * from test_testpoint_info`,
					success: function(e) {
						if (e.length > 0) {
							let data = e
							testPointList = data;
							let tp = localStorage.getItem('testPoint')
							if (tp) {
								currentTestPoint = JSON.parse(localStorage.getItem('testPoint'))
							} else {
								currentTestPoint = data[0];
							}
							setTitle(currentTestPoint.test_point_name + '-' + currentTestPoint.test_name);
							testPoint = currentTestPoint;
							plus.nativeUI.closeWaiting();

							let tabIdx = 0;
							getFieldData(tabIdx); //获取测试点小区分布
							onChangeTab(); //切换tab组别
							getMoreData(); //获取更多优缺点数据
							// selectLevel();//选择等级
							saveData(); //保存
						}
					}
				})
			} else {
				window.model.post('hzapp/fieldtest/load_test_testpoint_info.do', {}, function(data) {
					testPointList = data.data;
					let tp = localStorage.getItem('testPoint')
					if (testPointList.length > 0) {
						if (tp) {
							console.log(1);
							currentTestPoint = JSON.parse(localStorage.getItem('testPoint'))
						} else {
							currentTestPoint = data.data[0];
						}
						setTitle(currentTestPoint.test_point_name + '-' + currentTestPoint.test_name);
						testPoint = currentTestPoint;
						plus.nativeUI.closeWaiting();

						let tabIdx = 0;
						getFieldData(tabIdx); //获取测试点小区分布
						onChangeTab(); //切换tab组别
						getMoreData(); //获取更多优缺点数据
						// selectLevel();//选择等级
						saveData(); //保存
					} else {
						window.model.planErr('没有进行中的试验')
					}

				}, function() {
					mui.toast('获取试验点列表失败', {
						type: 'div',
						duration: 'long'
					});
					plus.nativeUI.closeWaiting();
				})
			}
		}
		var isChooseOpen = false
		// 刷新数据
		window.addEventListener('refreshPage', function(event) {
			isChooseOpen = false
			var detail = event.detail;
			testPoint = detail
			currentTestPoint = detail
			let tabIdx = 0;
			setTitle(currentTestPoint.test_point_name + '-' + currentTestPoint.test_name);
			getFieldData(tabIdx); //获取测试点小区分布
			onChangeTab(); //切换tab组别
			getMoreData(); //获取更多优缺点数据
			// selectLevel();//选择等级
			saveData(); //保存
		});
		// 切换选中项
		mui('#levelSelect')[0].addEventListener('tap', function() {
			var dropPicker = new mui.PopPicker();
			dropPicker.setData(['A', 'B', 'C', 'D']);
			dropPicker.show(function(items) {
				document.getElementById('levelId').value = items[0];
				dataObj.levelId = items[0]; //数据
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		})
		window.addEventListener('homeRefresh', function(event) {
			isChooseOpen = false
			fireHome = true
			offlineOpen = localStorage.getItem('offline')
			getTestDotList()
		})
		// 切换头部, 打开标题内容列表
		mui('#titleWrap')[0].addEventListener('tap', function() {
			if (!isChooseOpen) {
				mui.openWindow({
					url: 'place-choose.html',
					id: 'place-choose.html',
					styles: {
						top: '49px',
						background: 'transparent',
					},
					extras: {
						testPointList: testPointList,
						currentTestPoint: currentTestPoint
						//自定义扩展参数，可以用来处理页面间传值
					},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-top',
					}
				})
				isChooseOpen = true
			} else {
				let choose = plus.webview.getWebviewById('place-choose.html')
				if (choose.isVisible()) {
					choose.hide()
				} else {
					choose.show()
				}
			}
		})

	})
	// 返回事件
	mui.back = function() {
		let choose = plus.webview.getWebviewById('place-choose.html')
		if (choose) {
			choose.hide();
		}
		var offlineOpen = localStorage.getItem('offline')
		if (offlineOpen === 'off') {
			mui.fire(plus.webview.getWebviewById('html/main/home.html'), 'refreshOffline')
		}
		plus.webview.currentWebview().hide("auto", 300);
	};
})(mui, window, document, $)
