mui.init();
var offlineOpen = localStorage.getItem('offline')

// 头部标题滚动
function scroll() {
	var info = document.getElementById('info');
	var div = info.getElementsByTagName('div')[0];
	var p = document.getElementsByTagName('p')[0];
	var p_w = p.offsetWidth;
	var div_w = info.offsetWidth;
	if (div_w > p_w) {
		return false;
	}
	div.innerHTML += div.innerHTML;

	setInterval(function() {
		if (p_w <= info.scrollLeft) {
			info.scrollLeft -= p_w;
		} else {
			info.scrollLeft++;
		}
	}, 30);
}

var subpages = ['single-trait.html', 'double-trait.html', 'task-trait.html'];
var subpage_style = {
	top: '49px',
	bottom: '51px'
};

var aniShow = {};
var voiceText = '' // 语音文字
mui.plusReady(function() {
	// 底部tab栏苹果X兼容
	if (plus.device.model == "iPHoneXR" || plus.device.model == "iPhoneX" || plus.device.model == "iPhoneXSMax" || plus.device
		.model == "iPhoneXS") {
		subpage_style.bottom = '91px'
	}
	plus.sqlite.openDatabase({
		name: 'hz',
		path: '_doc/huazhi.db',
		success: function(e) {},
		fail: function(e) {}
	})
	//创建子页面，首个选项卡页面显示，其它均隐藏；
	var self = plus.webview.currentWebview();
	for (var i = 0; i < 3; i++) {
		if (!plus.webview.getWebviewById(subpages[i])) {
			var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
			sub.hide();
			self.append(sub);
		}
	}
	// plus.nativeUI.showWaiting('正在加载中...')
	getTestDotList()
	// 监听语音识别事件
	plus.speech.addEventListener("start", function() {
		voiceText = ''
	}, false);
	plus.speech.addEventListener("recognition", function(e) {
		voiceText += e.result
	}, false);
	plus.speech.addEventListener("end", function() {
		// TODO 根据语音做操作
		var reg = /^[\u4E00-\u9FA5]+$/ // 全部中文
		var regDate = /^\d{4}年\d{1,2}月\d{1,2}日+$/
		// mui.toast('日期：' + regDate.test(voiceText))
		// if (voiceText === '上一个') {
		// 	mui.fire(plus.webview.getWebviewById('double-trait.html'), 'getFeature', {
		// 		testPoint: currentTestPoint
		// 	})
		// 	mui.fire(plus.webview.getWebviewById('double-trait.html'), 'prev', {
		// 		testPoint: currentTestPoint
		// 	})
		// }
		// if (voiceText === '下一个') {
		// 	mui.fire(plus.webview.getWebviewById('double-trait.html'), 'getFeature', {
		// 		testPoint: currentTestPoint
		// 	})
		// 	mui.fire(plus.webview.getWebviewById('double-trait.html'), 'next', {
		// 		testPoint: currentTestPoint
		// 	})
		// }
		if (voiceText === '扫一扫') {
			mui.openWindow('/html/variety/scan.html', '/html/variety/scan.html', {})
		} else if (reg.test(voiceText)) {
			for (let traitKey in testTraitList) {
				for (var i = 0; i < testTraitList[traitKey].length; i++) {
					var traitItem = testTraitList[traitKey][i]
					if (traitItem.trait_name == voiceText) {
						mui.openWindow({
							url: 'trait-collect.html',
							id: 'trait-collect',
							extras: {
								testPoint: currentTestPoint,
								traitId: traitItem.trait_id,
								traitName: traitItem.trait_name
							}
						})
						return
					}
				}
			}
			// 性状中匹配
		} else if (regDate.test(voiceText)) {
			mui.toast('日期匹配成功', {
				type: 'div',
				duration: 'long'
			})
			// 语音包含年月日
		}
	}, false);
	plus.key.addEventListener("keydown", function(e) {
		// 键盘监听
		if (e.keyCode === 4) {
			mui.back();
		}
		if (e.keyCode === 24) {
			var options = {
				continue: false, // 是否采用持续模式
				engine: 'baidu', // 语音识别引擎标识
				lang: 'zh-cn', // 语音识别引擎的语言
				nbest: 1, // 指定识别结果识别包括多候选结果
				punctuation: false, // 识别结果中是否包含标点符号
				timeout: 1000, // 语音识别超时时间
				userInterface: true //识别时是否显示用户界面
			}
			voiceText = ''
			window.plus.speech.startRecognize(options)
		}
		// alert("音量+键 Key pressed!" + e.keyCode)
	})
});
//当前激活选项
var activeTab = subpages[0];
var title = document.getElementById("title");
var testPointList = []
var currentTestPoint = {}

// function setLightColor (targetTab) {
// 	let tabs = document.getElementsByClassName('mui-tab-item')
// 	for (let i = 0; i < tabs.length; i++) {
// 		let ti = tabs[i]
// 		if (ti.getAttribute('href') === targetTab) {
// 			ti.classList = 'mui-tab-item mui-active'
// 			let bgEle = ti.firstElementChild.id || '';
// 			switch (bgEle) {
// 				case 'singleIcon':
// 					mui('#singleIcon')[0].classList.add('single-icon-on');
// 					mui('#doubleIcon')[0].classList.remove('double-icon-on');
// 					mui('#taskIcon')[0].classList.remove('task-icon-on');
// 					break;
// 				case 'doubleIcon':
// 					mui('#doubleIcon')[0].classList.add('double-icon-on');
// 					mui('#singleIcon')[0].classList.remove('single-icon-on');
// 					mui('#taskIcon')[0].classList.remove('task-icon-on');
// 					break;
// 				case 'taskIcon':
// 					mui('#taskIcon')[0].classList.add('task-icon-on');
// 					mui('#singleIcon')[0].classList.remove('single-icon-on');
// 					mui('#doubleIcon')[0].classList.remove('double-icon-on');
// 					break;
// 				default:
// 					break;
// 			}
// 		} else {
// 			ti.classList = 'mui-tab-item'
// 		}
// 	}
// }
// 
//选项卡点击事件
mui('.mui-bar-tab').on('tap', 'a', function(e) {
	var targetTab = this.getAttribute('href');
	if (targetTab == activeTab) {
		return;
	};
	// mui.fire(plus.webview.getWebviewById(targetTab), 'getFeature', {
	// 	testPoint: currentTestPoint
	// })
	// setLightColor(targetTab)

	// let bgEle = this.firstElementChild.id || '';
	// switch (bgEle) {
	// 	case 'singleIcon':
	// 		mui('#singleIcon')[0].classList.add('single-icon-on');
	// 		mui('#doubleIcon')[0].classList.remove('double-icon-on');
	// 		mui('#taskIcon')[0].classList.remove('task-icon-on');
	// 		break;
	// 	case 'doubleIcon':
	// 		mui('#doubleIcon')[0].classList.add('double-icon-on');
	// 		mui('#singleIcon')[0].classList.remove('single-icon-on');
	// 		mui('#taskIcon')[0].classList.remove('task-icon-on');
	// 		break;
	// 	case 'taskIcon':
	// 		mui('#taskIcon')[0].classList.add('task-icon-on');
	// 		mui('#singleIcon')[0].classList.remove('single-icon-on');
	// 		mui('#doubleIcon')[0].classList.remove('double-icon-on');
	// 		break;
	// 	default:
	// 		break;
	// }

	//显示目标选项卡
	//若为iOS平台或非首次显示，则直接显示
	if (mui.os.ios || aniShow[targetTab]) {
		// plus.webview.show(targetTab);
		var showWebview = plus.webview.getWebviewById(targetTab)
		mui.fire(showWebview, 'getFeature', {
			testPoint: currentTestPoint
		})
		setTimeout(function() {
			showWebview.show(targetTab, "fade-in", 300)
		}, 150)
	} else {
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow, temp);
		var showWebview = plus.webview.getWebviewById(targetTab)
		mui.fire(showWebview, 'getFeature', {
			testPoint: currentTestPoint
		})
		setTimeout(function() {
			showWebview.show(targetTab, "fade-in", 300)
		}, 150)
		// plus.webview.show(targetTab,"fade-in",300);
	}
	//隐藏当前;
	plus.webview.hide(activeTab);
	//更改当前活跃的选项卡
	activeTab = targetTab;
});

// 设置标题内容
var isSetTitle = false

function setTitle(title) {
	let titleNames = document.getElementsByClassName('title-txt-name')
	for (let i = 0; i < titleNames.length; i++) {
		const titleName = titleNames[i];
		titleName.innerHTML = title
	}
	// document.getElementById('testDot').innerHTML = title
	if (!isSetTitle) {
		scroll();
		isSetTitle = true
	}
}

//  获取试验测试点列表
function getTestDotList() {
	if (offlineOpen === 'off') {
		plus.nativeUI.showWaiting()
		plus.sqlite.selectSql({
			name: 'hz',
			sql: 'select * from test_testpoint_info',
			success: function(e) {
				testPointList = e
				let testPointLocal = localStorage.getItem("testPoint")
				if (testPointLocal) {
					currentTestPoint = JSON.parse(testPointLocal)
				} else if (e[0]) {
					localStorage.setItem('testPoint', JSON.stringify(e[0]))
					currentTestPoint = e[0]
				}
				setTitle(currentTestPoint.test_point_name + '-' + currentTestPoint.test_name)
				getTestTrains(currentTestPoint.test_id)
				// var singleView = plus.webview.getWebviewById('single-trait.html')
				// singleView.show()
				// mui.fire(plus.webview.getWebviewById(activeTab), 'getFeature', {
				// 	testPoint: currentTestPoint
				// })
				setTimeout(() => {
					var activeView = plus.webview.getWebviewById(activeTab)
					activeView.show()
				}, 150);
				plus.nativeUI.closeWaiting()
			}
		})
	} else {
		window.model.post('hzapp/fieldtest/load_test_testpoint_info.do', {}, function(data) {
			testPointList = data.data
			let testPointLocal = localStorage.getItem("testPoint")
			if (testPointLocal) {
				currentTestPoint = JSON.parse(testPointLocal)
			} else if (data.data[0]) {
				localStorage.setItem('testPoint', JSON.stringify(data.data[0]))
				currentTestPoint = data.data[0]
			}
			setTitle(currentTestPoint.test_point_name + '-' + currentTestPoint.test_name)
			localStorage.setItem('testPoint', JSON.stringify(currentTestPoint))
			getTestTrains(currentTestPoint.test_id)
			// var singleView = plus.webview.getWebviewById('single-trait.html')
			// singleView.show()
			// mui.fire(plus.webview.getWebviewById(activeTab), 'getFeature', {
			// 	testPoint: currentTestPoint
			// })
			setTimeout(() => {
				var activeView = plus.webview.getWebviewById(activeTab)
				activeView.show()
			}, 150);
			plus.nativeUI.closeWaiting()
		}, function() {
			mui.toast('获取试验点列表失败', {
				type: 'div',
				duration: 'long'
			})
			plus.nativeUI.closeWaiting()
		})
	}
}
var testTraitList = []
// 加载品种测试数据
function getTestTrains(id) {
	window.model.post('hzapp/fieldtest/load_test_traits.do', {
		test_id: id
	}, function(res) {
		testTraitList = res.data.traits
	}, function() {

		mui.fire(plus.webview.getWebviewById('single-trait.html'), 'planErr');
		mui.fire(plus.webview.getWebviewById('double-trait.html'), 'planErr');
		mui.fire(plus.webview.getWebviewById('task-trait.html'), 'planErr');

	})
}
var isChooseOpen = false
// 切换头部, 打开标题内容列表
mui('#titleWrap')[0].addEventListener('tap', function() {
	if (!isChooseOpen) {
		mui.openWindow({
			url: 'place-choose.html',
			id: 'place-choose.html',
			styles: {
				top: '49px',
				background: 'transparent',
			},
			extras: {
				testPointList: testPointList,
				currentTestPoint: currentTestPoint
				//自定义扩展参数，可以用来处理页面间传值
			},
			createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				autoShow: true, //页面loaded事件发生后自动显示，默认为true
				aniShow: 'slide-in-top',
			}
		})
		isChooseOpen = true
	} else {
		let choose = plus.webview.getWebviewById('place-choose.html')
		if (choose.isVisible()) {
			choose.hide()
		} else {
			choose.show()
		}
	}
})
// 刷新数据
window.addEventListener('refreshPage', function(event) {
	isChooseOpen = false
	offlineOpen = localStorage.getItem('offline')
	var detail = event.detail
	currentTestPoint = detail
	setTitle(detail.test_point_name + '-' + detail.test_name)
	mui.fire(plus.webview.getWebviewById(activeTab), 'getFeature', {
		testPoint: detail
	})
})
window.addEventListener('homeRefresh', function(event) {
	isChooseOpen = false
	offlineOpen = localStorage.getItem('offline')
	getTestDotList()
})

function paneHandle(url) {
	let tabs = document.getElementsByClassName('mui-tab-item')
	for (let i = 0; i < tabs.length; i++) {
		let tab = tabs[i]
		if (tab.getAttribute('href') === url) {
			// mui.trigger(tab,'tap')
			// setLightColor(url)
		}
	}
}
window.addEventListener('pane', function(event) {
	if (event.detail.from === 'taskTrait') {
		paneHandle('double-trait.html')
	} else if (event.detail.from === 'taskDouble') {
		paneHandle('single-trait.html')
	} else if (event.detail.from === 'taskDoubleRight') {
		paneHandle('task-trait.html')
	} else if (event.detail.from === 'taskSingle') {
		paneHandle('double-trait.html')
	}
})

//自定义事件，模拟点击“首页选项卡”
document.addEventListener('gohome', function() {
	var defaultTab = document.getElementById("defaultTab");
	//模拟首页点击
	mui.trigger(defaultTab, 'tap');
	//切换选项卡高亮
	var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
	if (defaultTab !== current) {
		current.classList.remove('mui-active');
		defaultTab.classList.add('mui-active');
	}
});
mui.back = function() {
	// 返回事件
	let choose = plus.webview.getWebviewById('place-choose.html')
	if (choose) {
		choose.hide();
	}
	mui.fire(plus.webview.getWebviewById('html/main/home.html'), 'refreshOffline')
	plus.webview.currentWebview().hide("auto", 300);
};
