(function(mui, w, document, $) {
	mui.ready(function() {
		mui.init({});
		
		/*获取报告详情*/
		const getReportDetail = function(testId) {
			plus.nativeUI.showWaiting();
			w.model.post('hzapp/fieldtest/load_test_testpoint_report.do', {
				test_id: testId
				//test_id:541
			}, function(data) {
				let html = ''
				const res = data.data.tests[0].tetPoints;
				$('#muiTitle').html(data.data.tests[0].test_name);
				console.log(JSON.stringify(res))
				for (let htmlKey in res) {
					html +=
						`<div class="mui-card">
								<div class="mui-card-header">
									<div class="item">
										<div class="item-hd">
											<img class="locG-icon" src="../../images/loc-g.png" >
											<span>${res[htmlKey].testPointName}</span>
										</div>
										<div class="item-bd">
											
											<div id="demo${htmlKey}" class="mui-progressbar">
												<span class="yellow-bg"></span>
											</div>
											<span class="progress-num yellow-color">${res[htmlKey].progress}%</span>
										</div>
									</div>
								</div>
								<div class="mui-card-content">
									<div class="mui-card-content-inner card-cell-half clearfix">
										<div class="item">
											<span class="item-name">播种期：</span>
											<span class="item-value">${res[htmlKey].breedingtime?res[htmlKey].breedingtime:''}</span>
										</div>
										<div class="item">
											<span class="item-name">移栽期：</span>
											<span class="item-value">${res[htmlKey].breedingtime?res[htmlKey].breedingtime:''}</span>
										</div>
										<div class="item">
											<span class="item-name">技术人员：</span>
											<span class="item-value">${res[htmlKey].fieldTechnician?res[htmlKey].fieldTechnician:''}</span>
										</div>
										<div class="item">
											<span class="item-name">片区主任：</span>
											<span class="item-value">${res[htmlKey].sectionManager?res[htmlKey].sectionManager:''}</span>
										</div>
										<div class="item">
											<span class="item-name">警告：</span>
											${dealWarnData(res[htmlKey].warnMessages)}
										</div>
									</div>
								</div>
							</div> `;
				}
				$('.mui-content').html(html);
				dealProgress(res);
				plus.nativeUI.closeWaiting();
			});

		};

		//处理进度条
		const dealProgress = function(data) {
			for (let i = 0; i < data.length; i++) {
				
				mui("#demo" + i).progressbar({progress: data[i].progress}).show();
				if (data[i].progress === 100) {
					$("#demo" + i).find('span').removeClass('yellow-bg');
					$("#demo" + i).find('span').addClass('green-bg');
				}
				
				// if ($('.mui-progressbar').eq(i).data('progress') == 100) {
				// 	// $('.mui-progressbar').eq(i).find('span').css('transform', 'translate3d(0, 0, 0)');
				// 	$('.mui-progressbar').eq(i).find('span').removeClass('yellow-bg');
				// 	$('.mui-progressbar').eq(i).find('span').addClass('green-bg');
				// } else {
				// 	console.log(data[0].progress)
				// 	let progress = -((100 - `${data[i].progress}`).toFixed(2));
				// 	console.log(progress + '===' + i)
				// 	progress = -10
				// 	$('.mui-progressbar').eq(i).find('span').css('transform', 'translate3d(' + progress + ', 0, 0)')
				// }
			};
		};

		//警告数据
		const dealWarnData = function(data) {
			let html = '';
			for (let htmlKey in data) {
				html += `<span class="item-value">${data[htmlKey]},</span>`;
			};
			return html;
		};

		mui.plusReady(function() {
			const self = plus.webview.currentWebview();
			const testId = self.test_id;
			getReportDetail(testId); //获取报告详情	
		});

	})
})(mui, window, document, $)
